<?php

namespace Appweb\Http\Controllers;

use Illuminate\Http\Request;

use Appweb\Http\Requests;
use Appweb\Http\Controllers\Controller;
use Appweb\Configuracao;

class ConfiguracoesController extends Controller
{
    
    public function __construct()
    {
        view()->share(['modulo'=>'Configurações do Sistema']);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $configuracoes = Configuracao::orderBy("Config", "asc")->get();
        // dd($configuracoes);
        // $clientes      = Cliente::orderby('nome')->pluck('Nome', 'Codigo')->toArray();
        return view('pages.configuracoes', compact('configuracoes'));
    }

    public function salvar(Request $request)
    {
        $url = $request->input('url', route('index'));
        $configuracoes = $request->input("configuracoes");
        // dd($configuracoes);
        Configuracao::whereNotIn('id', $configuracoes)->update(['ativo'=>0]);
        Configuracao::whereIn('id', $configuracoes)->update(['ativo'=>1]);

        return redirect($url);
    }

    public function lista(Request $request) 
    {
        if ($request->has('ativo')) {
            $configuracoes = Configuracao::where('ativo', $request->input('ativo'))->orderBy('Config')->get();
        } else {
            $configuracoes = Configuracao::orderBy("Config", "asc")->get();
        }

        return response()->json($configuracoes);
    }

}
