<?php

namespace Appweb\Http\Controllers;

use Illuminate\Http\Request;

use Appweb\Http\Requests;
use Appweb\Http\Controllers\Controller;

use Appweb\Pedido;
use Appweb\Cliente;
use Appweb\User;
use Appweb\Caixa;
use Appweb\Produto;
use Appweb\Provisionado;
use DB;

class ConsultasController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index(Request $request)
    {
        
        if ($request->has('filtro')) {

            if ($request->has('cliente')) {

                $busca = Pedido::whereRaw("
                        date(data) between '{$request->datainicial}' and '{$request->datafinal}'
                    ")
                    ->where('cliente_id', $request->cliente)
                    ->orderBy('id', 'desc')
                    ->paginate(15);

            } else {

                $busca = Pedido::whereRaw("
                        date(data) between '{$request->datainicial}' and '{$request->datafinal}'
                    ")
                    ->orderBy('id', 'desc')
                    ->paginate(15);
                
            }   

        } else {

            if ($request->has('busca')) {

                $busca = Pedido::where('id', $request->busca)
                    ->orWhere('observacoes', 'like', '%'.$request->busca.'%')
                    ->orderBy('id', 'desc')
                    ->paginate(15);

            } else {

                $busca = Pedido::whereRaw('date(data) = CURRENT_DATE')
                    ->orderBy('id', 'desc')
                    ->paginate(15);
                
            }

        }
        // dd($busca);
        $clientes = Cliente::orderBy('nome')->lists('nome', 'id')->toArray();
        return view('pages.consultas.index', compact('busca', 'clientes'))
            ->with("modulo", "Consultas");
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function listarItens(Request $request)
    {
        
        $pedido     = Pedido::with('itens', 'cliente')->find($request->pedido);
        // $cliente    = Cliente::find($pedido->cliente);
        // $vendedor   = User::find($pedido->vendedor);
        return view('pages.consultas.listar-itens-pedido', compact('pedido'));

    }

    /**
     * Store a newly created resource in storage.
     *
     * @return Response
     */
    public function store()
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function update($id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function cancelar($pedido)
    {

        $pedido     = Pedido::with('itens')->find($pedido);
        // dd($pedido);
        $pedido->status = "Cancelado";
        $pedido->save();

        if ($pedido->tipo == "Venda") {
            foreach ($pedido->itens as $item) {
                $produto = Produto::where('referencia', $item->referencia)->first();
                // dd($produto);
                $produto->estoque = $produto->estoque + $item->quantidade;
                $produto->save();
            }

        }
        $provisionado = Provisionado::first();
        Caixa::create([
            'registro' => $pedido->id,
            'formapagamento' => "Dinheiro",
            'tipomovimento' => $pedido->tipo,
            'valor' => $pedido->valorentrada,
            'data' => date("Y-m-d H:i:s"),
            'observacoes' => "CANCELAMENTO - " . $pedido->tipo . " (".$pedido->id.")",
            'movimento' => "S",
        ]);
        $provisionado->saldo = $provisionado->saldo - $pedido->valorentrada;
        $provisionado->save();

        return redirect()->back();

    }
}
