<?php

namespace Appweb\Http\Controllers;

use Illuminate\Http\Request;

use Appweb\Http\Requests;
use Appweb\Http\Controllers\Controller;
use Appweb\User;
use Appweb\CheckStatus;
use Auth;
use Hash;
use Session;

class LoginController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {
        if (auth()->check() == true) {
            return redirect("/");
        } else {
            return view('pages.login');
        }
    }

    public function autorizar(Request $request)
    {
        
        $rules = ['login'=>'required'];
        $messages = ['login.required'=>'Informe seu login.'];
        $this->validate($request, $rules, $messages);

        $login = array(
            'login' => $request->login,
            'password' => $request->senha,
            'ativo' => 1
            );

        $remember_me = false;
        if ($request->has("lembrar_me")) {
           $remember_me = true;
        }
        // dd($login);
        if (auth()->attempt($login, $remember_me)) {
            // $checkstatus = CheckStatus::find(1);
            // if (!$checkstatus->ativo) {
            //     return redirect()->route('foradoar');
            // }
            return redirect('/');
        } else {
            return redirect()
                ->back()
                ->withInput()
                ->withErrors(['Login inválido']);
        }

    }

    public function perfil()
    {
        return view('pages.perfil')
            ->with("tela", "Perfil");
    }

    public function update(Request $request, $id=null)
    {
        
        $senha = $request->senha;
        $novaSenha1 = $request->novasenha1;
        $novaSenha2 = $request->novasenha2;

        $usuario = User::find($id);
        $senhaAtual = $usuario->password;
        $check = Hash::check($senha, $senhaAtual);
        
        if (!empty($senha)) {

            if (!$check) {

                // Session::flash('mensagem', '<strong>Senha Atual</strong> não confere.');
                return redirect()
                    ->back()
                    ->withInput()
                    ->withErrors(['Senha Atual não confere!']);

            } else {

                if ($novaSenha1 == $novaSenha2 && !empty($novaSenha1) && !empty($novaSenha2)) {

                    $usuario->nome = $request->nome;
                    $usuario->password = Hash::make($novaSenha2);
                    $usuario->avatar = $request->avatar;
                    $usuario->save();

                    Session::flash('mensagem-sucesso', '<strong>Dados salvos</strong>!');
                    return redirect()->back();
                    
                } else {

                    return redirect()->back()
                        ->withInput()
                        ->withErrors(['Os campos <strong>Nova Senha</strong> não conferem.']);

                }

            }

        } else {

            $usuario->Nome = $request->nome;
            $usuario->Avatar = $request->avatar;
            $usuario->save();

            Session::flash('mensagem-sucesso', '<strong>Dados salvos</strong>!');
            return redirect()->back();
        }

    }

    public function logout()
    {
        auth()->logout();
        return redirect("login");
    }

}
