<?php

namespace Appweb\Libraries;

use Appweb\Provisionado as Provisionado;
use Appweb\Cliente;
use Appweb\Pedido;
use Request;
use DB;

class Util 
{

    public static function primeiroDiaMes() 
    {
        
        $ano = date('Y');
        $mes = date('m');
        $diasmes = cal_days_in_month(CAL_GREGORIAN, $mes, $ano);
        $diascorridos = $diasmes - date('d');
        $hoje = $diasmes - $diascorridos - 1;
        return date('Y-m-d', strtotime("-$hoje days"));

    }

    public static function ultimoDiaMes() 
    {
        
        $mes = date("m");
        $ano = date("Y");
        // $dias = cal_days_in_month(CAL_GREGORIAN, $mes, $ano);
        return date("Y-m-t", mktime(0,0,0,$mes, 1, $ano));

    }
    
    public static function provisionado() {
        $provisionado = Provisionado::where('mes', intval(date("m")))
            ->where('ano', intval(date("Y")))
            ->first();
        return $provisionado;
    }

    public static function pendentes() {
        $pedidos = Pedido::where('status', 'Pendente')->get();
        if (count($pedidos) > 0) :
            return $pedidos->count();
        else :
            return false;
        endif;
    }

    public static function estados() 
    {

        $estados = array(
            "AC"=>"Acre", "AL"=>"Alagoas", "AM"=>"Amazonas", "AP"=>"Amapá","BA"=>"Bahia","CE"=>"Ceará","DF"=>"Distrito Federal","ES"=>"Espírito Santo","GO"=>"Goiás","MA"=>"Maranhão","MT"=>"Mato Grosso","MS"=>"Mato Grosso do Sul","MG"=>"Minas Gerais","PA"=>"Pará","PB"=>"Paraíba","PR"=>"Paraná","PE"=>"Pernambuco","PI"=>"Piauí","RJ"=>"Rio de Janeiro","RN"=>"Rio Grande do Norte","RO"=>"Rondônia","RS"=>"Rio Grande do Sul","RR"=>"Roraima","SC"=>"Santa Catarina","SE"=>"Sergipe","SP"=>"São Paulo","TO"=>"Tocantins"
            );

        return $estados;

    }

    public static function gera_numero($tamanho_chave = 6) 
    {

        $chave = "";

        mt_srand ((double) microtime() * 1000000);

            while (strlen($chave) < $tamanho_chave) {

                $c = mt_rand (0,9);
                $chave = $chave.$c;

            }

        return $chave;

    }

    public static function estados2() 
    {

        $estados = array(
            "AC"=>"AC","AL"=>"AL","AM"=>"AM", "AP"=>"AP","BA"=>"BA","CE"=>"CE","DF"=>"DF","ES"=>"ES","GO"=>"GO","MA"=>"MA","MT"=>"MT","MS"=>"MS","MG"=>"MG","PA"=>"PA","PB"=>"PB","PR"=>"PR","PE"=>"PE","PI"=>"PI","RJ"=>"RJ","RN"=>"RN","RO"=>"RO","RS"=>"RS","RR"=>"RR","SC"=>"SC","SE"=>"SE","SP"=>"SP","TO"=>"TO"
            );

        return $estados;

    }

    public static function dataDe($data = "") 
    {
       
       if (!empty($data)) {
           $data = strtotime($data);
           setlocale(LC_ALL, 'pt_BR', 'ptb', 'bra');
           return strftime('%d', $data) . ' de ' . strftime('%B', $data) . ' de ' . strftime('%Y', $data);
       }

    }

    public static function menuAtivo($menu, $segmento) 
    {
        
        $menuSelecionado = Request::segment($segmento);
        if ($menu == $menuSelecionado) {
            return "active";
        } else {
            return "";
        }

    }

    public static function mesEAno($mes, $ano) 
    {

        $mesX = date("m", strtotime($mes));
        $anoX = date("Y", strtotime($ano));

        switch ($mesX) {

            case "01": $mesX = "Janeiro"; break;
            case "02": $mesX = "Fevereiro"; break;
            case "03": $mesX = "Março"; break;
            case "04": $mesX = "Abril"; break;
            case "05": $mesX = "Maio"; break;
            case "06": $mesX = "Junho"; break;
            case "07": $mesX = "Julho"; break;
            case "08": $mesX = "Agosto"; break;
            case "09": $mesX = "Setembro"; break;
            case "10": $mesX = "Outubro"; break;
            case "11": $mesX = "Novembro"; break;
            case "12": $mesX = "Dezembro"; break;

        }

        $mesX = substr($mesX, 0, 3);

        return $mesX . " de " . $anoX;

    }

    public static function dataFormat($data) {

        $dataFormat = date("d/m/Y", strtotime($data));

        return $dataFormat;

    }

    public static function dataFormat2($data) 
    {

        $dataFormat2 = date("Y-m-d", strtotime($data));
        return round($dataFormat2);

    }

    public static function dataFormat3($data) 
    {

        $dataFormat3 = date("d/m/Y | H:i", strtotime($data));
        return $dataFormat3;

    }

    public static function dataFormat4($data, $formato=12) 
    {

        $hora = $formato == 12 ? "h" : "H";
        // $am_pm = (date("H",strtotime($data)) < 12) ? " AM" : " PM";
        $am_pm = (date("H",strtotime($data)) < 12) ? " " : " ";
        $am_pm = $formato == 24 ? "" : $am_pm;
        if(date('d/m/Y', strtotime($data)) == date('d/m/Y')){
            return "Hoje às ".date("$hora:i",strtotime($data)).$am_pm;
        }
        else if(date('m/Y', strtotime($data)) == date('m/Y') && date("d", strtotime($data)) == date("d")-1){
            return "Ontem às ".date("$hora:i",strtotime($data)).$am_pm;
        }
        else if(date('m/Y', strtotime($data)) == date('m/Y') && date("d", strtotime($data)) == date("d")+1){
            return "Amanha às ".date("$hora:i",strtotime($data)).$am_pm;
        }
        else{ 
            return date("d/m/Y",strtotime($data));
        }

    }

    public static function dataFormatForm($data) 
    {

        $dataFormat = date("Y-m-d", strtotime($data));
        return $dataFormat;

    }

    public static function dataBD($data) 
    {

        $dataBD = implode("-",array_reverse(explode("/",$data)));

        return $dataBD;

    }

    public static function toFloat($valor) 
    {

        $source = array('.', ','); 
        $replace = array('', '.');
        $valor = str_replace($source, $replace, $valor); 
        return $valor;

    }

    public static function toFloat2($valor) 
    {

        $valor = number_format($valor, 2); 
        return floatval($valor);

    }

    public static function decimal2($valor) 
    {

        if (is_numeric($valor)) {
            return number_format($valor, 2,",",".");
        } else {
            return number_format(0, 2,",",".");
        }

    }

    public static function decimal3($valor) 
    {

        return number_format($valor, 3,",",".");

    }
    
    public static function decimal0($valor) 
    {

        return number_format($valor, 0,",",".");
        
    }

    public static function dbDebug()
    {
        
        return view("teste.debug");

    }

    public static function dbDebug2() 
    {

        DB::enableQueryLog();
        // echo "<pre>";
        // print_r(DB::getQueryLog());
        // echo "</pre>";

    }

    public static function terminais()
    {
        
        for ($i=1; $i <= 32; $i++) { 
            $v = str_pad($i, 3, "0", STR_PAD_LEFT);
            $arr[$v] = $v;
        }

        return $arr;

    }

    public static function clienteNome($cliente) {

        $clienteNome = Cliente::where('codigo', $cliente)->first();
        return $clienteNome->Nome;

    }

}