<?php

namespace Appweb;

use Illuminate\Database\Eloquent\Model;

class Pagamento extends Model
{
    protected $table = 'contas_pagar';
    protected $fillable = [
        'emissao',
        'vencimento', 
        'pagamento', 
        'documento',
        'tipo_pagamento',
    	'fornecedor_id', 
    	'valor',
    	'valor_pago',
        'parcelas_conta',
        'parcelas_cartao',
        'banco',
        'usuario_id',
        'observacoes',
        'status',
    	];
    public $timestamps = false;

    public function parcelas()
    {
        
        return $this->hasMany('Appweb\Parcela', 'pagamento_id');

    }

    public function usuario() {

        return $this->hasOne('Appweb\User', 'id', 'usuario_id');

    }

    public function cliente() {

        return $this->hasOne('Appweb\Cliente', 'id');

    }

    public function fornecedor() {

        return $this->hasOne('Appweb\Fornecedor', 'id', 'fornecedor_id');

    }

}
