<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->increments('id');
            $table->string('nome');
            $table->string('login')->unique();
            $table->string('password', 64);
            $table->string('nivel', 20)->nullable();
            $table->double('comissao', 10,2)->nullable();
            $table->double('comissaoextra', 10,2)->nullable();
            $table->double('limitedesconto', 10,2)->nullable();
            $table->date('cadastro')->nullable();
            $table->string('avatar', 64)->nullable();
            $table->smallInteger('ativo')->default(1);
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('users');
    }
}
