<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEmpresaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('empresa', function (Blueprint $table) {
            $table->increments('id');
            $table->string('razao_social', 100)->nullable();
            $table->string('nome_fantasia', 100)->nulable();
            $table->string('logradouro', 50)->nulable();
            $table->string('pontoreferencia', 150)->nulable();
            $table->string('bairro', 100)->nulable();
            $table->string('cidade', 64)->nulable();
            $table->string('estado', 2)->nulable();
            $table->string('cep', 10)->nulable();
            $table->string('responsavel', 100)->nulable();
            $table->string('cnpj', 20)->nulable();
            $table->string('inscricao_estadual', 20)->nulable();
            $table->string('telefone', 20)->nulable();
            $table->string('celular', 20)->nulable();
            $table->string('email', 100)->nulable();
            $table->string('site', 100)->nulable();
            $table->longText('descricao')->nulable();
            $table->longText('garantia')->nulable();
            $table->string('redesocial1', 100)->nulable();
            $table->string('redesocial2', 100)->nulable();
            $table->string('redesocial3', 100)->nulable();
            $table->string('redesocial4', 100)->nulable();
            $table->timestamps();
            $table->smallInteger('status')->nulable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('empresa');
    }
}
