@extends('layouts.default')

@section('css')
    
    {!! HTML::style('plugins/select2/select2.css') !!} 

@endsection

@section('content')
		
<?php $disabled = (isset($fornecedor)) ? "disabled" : ""; ?>

<div class="well-sm"></div>

<div class="ibox-content">
	
    <h4 class=""><strong>{!! $legenda !!} </strong></h4>

    <hr>	

	@if (isset($fornecedor)) 
		{!! Form::open(array('url'=>'cadastros/fornecedores/atualizar/' . @$fornecedor->id, 'class'=>'form-horizontal')) !!}
	@else
		{!! Form::open(array('url'=>'cadastros/fornecedores/novo', 'class'=>'form-horizontal')) !!}
	@endif

	<fieldset>
		
        {{-- <div class="hr-line-dashed"></div> --}}

        @if ($errors->has())

            <div class="alert alert-dismissable alert-danger">
                <button type="button" class="close" data-dismiss="alert">×</button>
                {!! HTML::ul($errors->all()) !!} 

            </div>

        @endif

		<div class="row">

			<div class="col-xs-12 col-sm-6">
					
				<label class="control-label">Nome</label>
				<div class="form-group has-orange">
					
					{!! Form::text('nome', @$fornecedor->nome, array('class'=>'form-control', 'id'=>'')) !!}

				</div>

			</div>
			
		</div> <!-- fim row -->
		
		<div class="row">
			
			<div class="col-xs-6 col-sm-8">

				<label class="control-label">Endereço</label>
				<div class="form-group has-orange">
					
					{!! Form::text('endereco', @$fornecedor->endereco, array('class'=>'form-control empty', 'id'=>'')) !!}

				</div>

			</div>

			<div class="col-xs-6 col-sm-4">
			
				<label class="control-label">Bairro</label>
				<div class="form-group has-orange">
					
					{!! Form::text('bairro', @$fornecedor->bairro, array('class'=>'form-control', 'id'=>'valor')) !!}

				</div>

			</div>

		</div>

		<div class="row">

			<div class="col-xs-6 col-sm-3">
			
				<label class="control-label">CEP</label>
				<div class="form-group has-orange">
					
					{!! Form::text('cep', @$fornecedor->cep, array('class'=>'form-control text-center', 'id'=>'fornecedor-cep')) !!}

				</div>

			</div>
			
			<div class="col-xs-6 col-sm-5">
		
				<label class="labels">Cidade</label>
				<div class="form-group has-orange">
					<?php 

						$escolha = array(
							''	 => 'Escolha um estado',
							);

					?>
					{!! Form::select('cidade', $escolha+$cidades, @$fornecedor->cidade, array('class' => 'form-control', 'id' => 'cidades')) !!}

				</div>

			</div>

			<div class="col-xs-6 col-sm-4">
		
				<label class="labels">Estado</label>
				<div class="form-group has-orange">
					<?php 

						$escolha = array(
							''	 => 'Selecione',
							);

					?>
					{!! Form::select('estado', $escolha+$estados, @$fornecedor->estado, array('class' => 'form-control', 'id' => 'estados')) !!}

				</div>

			</div>
			
		</div>
		
		<div class="row">
			
			<div class="col-xs-6 col-sm-6">
			
				<label class="control-label">Telefone 1</label>
				<div class="form-group has-orange">
					
					{!! Form::text('telefone', @$fornecedor->telefone, array('class'=>'form-control text-center', 'id'=>'fornecedor-telefone')) !!}

				</div>

			</div>
			
			<div class="col-xs-6 col-sm-6">
			
				<label class="control-label">Telefone 2</label>
				<div class="form-group has-orange">
					
					{!! Form::text('telefone2', @$fornecedor->telefone2, array('class'=>'form-control text-center', 'id'=>'fornecedor-telefone2')) !!}

				</div>

			</div>
			
			<div class="col-xs-6 col-sm-6">
			
				<label class="control-label">Celular 1</label>
				<div class="form-group has-orange">
					
					{!! Form::text('celular', @$fornecedor->celular, array('class'=>'form-control text-center', 'id'=>'fornecedor-celular')) !!}

				</div>

			</div>

			<div class="col-xs-6 col-sm-6">
			
				<label class="control-label">Celular 2</label>
				<div class="form-group has-orange">
					
					{!! Form::text('celular2', @$fornecedor->celular2, array('class'=>'form-control text-center', 'id'=>'fornecedor-celular2')) !!}

				</div>

			</div>

		</div> <!-- fim row -->

		<div class="row">

			<div class="col-xs-6 col-sm-6">
			
				<label class="control-label">CPF / CNPJ</label>
				<div class="form-group has-orange">
					
					{!! Form::text('cpfcnpj', @$fornecedor->cpfcnpj, array('class'=>'form-control text-center', 'id'=>'fornecedor-cpfcnpj')) !!}

				</div>

			</div>

		</div>

		<div class="row">
			
			<div class="col-xs-12">
            
                <div class="control-group">
                    <label class="control-label" for="">Observações</label>
                    <div class="form-group has-orange">
                        
                        {!! Form::textarea('observacoes', @$fornecedor->observacoes, array('class'=>'form-control', 'id'=>'', 'rows'=>'4')) !!} 
                    
                    </div>
                </div>

            </div>

		</div>

		<hr>

		<div class="row">
			
            <div class="pull-right col-sm-6 alinha-direita">

                {!! Form::submit('Salvar', array('class'=>'btn btn-primary btn-sm', 'id'=>'')) !!}
                <a href="{{ url('cadastros/fornecedores') }}" class="btn btn-default btn-sm" title="Cancelar"><i class="fa fa-reply"></i></a>

            </div>

		</div> <!-- fim box-footer -->

	</fieldset>
	
	{!! Form::close() !!}
	
</div> 

@endsection

@section('scripts')
	
	{!! HTML::script("js/jquery.maskMoney.js") !!}
	{!! HTML::script("js/jquery.maskedinput.js") !!}
	{!! HTML::script("plugins/select2/select2.min.js") !!} 
    
    @if (!isset($fornecedor))
    <script>

    	$('#cidades').html('<option value="">Escolha o estado</option>');
		
	</script>
	@endif
	<script>
		
		$('#cidades').select2()
		$("#estados").select2()
			.on("change", function(e) {
		          $('#cidades').html("...");
	        });

		$("#fornecedor-cpfcnpj").on('blur', function() {

			if (checarCPFCNPJ($(this).val()) == false && $.trim($(this).val()).length > 0) {
				alert("CPF/CNPJ Inválido!");
			} else {
				$(this).val(formataCPFCNPJ($(this).val()))
			}

		});

		// $('#cidades').on('click', function() {


		// });

		$("#estados").change(function() {

			if($(this).val() != "0") {

				estado = $(this).val()

				$('#cidades').html("...");

				$.getJSON(Config.baseURL + 'cidades/listar-cidades-por-estado/' + estado, { 
					ajax: 'true' 
				}, function(j){
					
					var options = '<option value="">Escolha a cidade</option>';	
					for (var i = 0; i < j.length; i++) {
						// alert(j[0].Codigo)
						options += '<option value="' + j[i].codigo + '">' + j[i].nome + '</option>';
					}
					$('#cidades').html(options);

				});

			} else {

				$('#cidades').html('<option value="">Escolha um estado</option>');

			}

		});

		jQuery(function($) {

		   $("#fornecedor-cep").mask("99999-999");
		   $("#fornecedor-telefone").mask("(99) 9999-9999");
		   $("#fornecedor-telefone2").mask("(99) 9999-9999");
		   $("#fornecedor-celular").mask("(99) 99999-9999");
		   $("#fornecedor-celular2").mask("(99) 99999-9999");

		});

		function checarCPFCNPJ(cpfcnpj) {

			if (cpfcnpj != '') {
				cpf  = validarCPF(cpfcnpj);
				cnpj = validarCNPJ(cpfcnpj);

				if ((cpf == false) && (cnpj == false)) {
					return false;
				} else {
					return true;
				}
			} else {
				return false;
			}

		}

		function validarCPF(cpf) {  

			cpf = cpf.replace(/[^\d]+/g,'');    
		    if(cpf == '') return false; 

		    // Elimina CPFs invalidos conhecidos    
		    if (cpf.length != 11 ||
		        cpf == "00000000000" ||
		        cpf == "11111111111" ||
		        cpf == "22222222222" ||
		        cpf == "33333333333" ||
		        cpf == "44444444444" ||
		        cpf == "55555555555" ||
		        cpf == "66666666666" ||
		        cpf == "77777777777" ||
		        cpf == "88888888888" ||
		        cpf == "99999999999")
		    return false;
		    
		    // Valida 1o digito 
		    add = 0;    
		    for (i=0; i < 9; i ++)       
		        add += parseInt(cpf.charAt(i)) * (10 - i);  

		    rev = 11 - (add % 11);  

		    if (rev == 10 || rev == 11)     
		        rev = 0;    

		    if (rev != parseInt(cpf.charAt(9)))     
		        return false;

		    // Valida 2o digito 
		    add = 0;    
		    for (i = 0; i < 10; i ++)        
		        add += parseInt(cpf.charAt(i)) * (11 - i);  

		    rev = 11 - (add % 11);  
		    
		    if (rev == 10 || rev == 11)     
		        rev = 0;    
		    
		    if (rev != parseInt(cpf.charAt(10)))        
		        return false;           
		    
		    return true;  

		}

		function validarCNPJ(cnpj) {
		 
		    cnpj = cnpj.replace(/[^\d]+/g,'');
		 
		    if(cnpj == '') 
		    	return false;
		     
		    if (cnpj.length != 14)
		        return false;
		 
		    // Elimina CNPJs invalidos conhecidos
		    if (cnpj == "00000000000000" ||
		        cnpj == "11111111111111" ||
		        cnpj == "22222222222222" ||
		        cnpj == "33333333333333" ||
		        cnpj == "44444444444444" ||
		        cnpj == "55555555555555" ||
		        cnpj == "66666666666666" ||
		        cnpj == "77777777777777" ||
		        cnpj == "88888888888888" ||
		        cnpj == "99999999999999")
		        return false;
		         
		    // Valida DVs
		    tamanho = cnpj.length - 2
		    numeros = cnpj.substring(0,tamanho);
		    digitos = cnpj.substring(tamanho);
		    soma = 0;
		    pos = tamanho - 7;
		    for (i = tamanho; i >= 1; i--) {
		      soma += numeros.charAt(tamanho - i) * pos--;
		      if (pos < 2)
		            pos = 9;
		    }
		    resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
		    if (resultado != digitos.charAt(0))
		        return false;
		         
		    tamanho = tamanho + 1;
		    numeros = cnpj.substring(0,tamanho);
		    soma = 0;
		    pos = tamanho - 7;
		    for (i = tamanho; i >= 1; i--) {
		      soma += numeros.charAt(tamanho - i) * pos--;
		      if (pos < 2)
		            pos = 9;
		    }
		    resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
		    if (resultado != digitos.charAt(1))
		          return false;
		           
		    return true;
		    
		}

		function formataCPFCNPJ(cpfcnpj) {

			cpfcnpj = $.trim(cpfcnpj);
			cpfcnpj = cpfcnpj.replace(/[^\d]+/g,'');
			f 		= cpfcnpj;
			if (cpfcnpj.length == 11) {
				var f = cpfcnpj.substr(0,3)+"."+cpfcnpj.substr(3,3)+"."+cpfcnpj.substr(6,3)+"-"+cpfcnpj.substr(9,2);
			} 

			if (cpfcnpj.length == 14) {
				var f = cpfcnpj.substr(0,2)+"."+cpfcnpj.substr(2,3)+"."+cpfcnpj.substr(5,3)+"/"+cpfcnpj.substr(8,4)+"-"+cpfcnpj.substr(12,2);
			}
			return f;

		}

	</script>
	
@endsection
