@extends('layouts.default')
@section('content')
	
	<?php $disabled = (isset($loja)) ? "disabled" : ""; ?>
	
	<div class="box box-warning">
		
		@if (isset($loja)) 
			{!! Form::open(array('url'=>'cadastros/lojas/atualizar/' . @$loja->id, )) !!}
		@else
			{!! Form::open(array('url'=>'cadastros/lojas/adicionar', )) !!}
		@endif
		
		<fieldset>
				
			<div class="box-header with-border">
                            
	            <h4>Loja</h4>

	        </div> <!-- fim box-header -->

			<div class="box-body">
				
				@include('pages.partials.alert-danger')

				@if (isset($loja)) 

					<div class="row">

						<div class="col-xs-6 col-sm-4">
							
							<div class="control-group">
							  <label class="control-label" for="">Código</label>
							  <div class="form-group has-orange">
							  
								{!! Form::text('codigo', @$loja->id, array('class'=>'form-control empty text-center', 'id'=>'', $disabled=>$disabled, 'autoFocus'=>'')) !!}
														    
							  </div>
							</div>
							
						</div>

					</div> <!-- fim row -->

				@endif

				{{-- <div class="row">
					
					<div class="col-xs-12">
					
						<div class="control-group">
						  <label class="control-label" for="">Nome</label>
						  <div class="form-group has-orange">
						    
						    {!! Form::text('nome', @$loja->Nome, array('class'=>'form-control empty')) !!}
							
						  </div>
						</div>

					</div>

				</div> <!-- fim row --> --}}

				<div class="row">

                    <div class="col-xs-12 col-sm-6">
                        
                        <div class="control-group">
                          <label class="control-label" for="">Razão Social</label>
                          <div class="form-group has-orange">
                          
                            {!! Form::text('razao_social', @$loja->razao_social, array('class'=>'form-control empty ', 'id'=>'', 'autoFocus'=>'')) !!}
                            
                          </div>
                        </div>
                        
                    </div>

                    <div class="col-xs-12 col-sm-6">
                        
                        <div class="control-group">
                          <label class="control-label" for="">Nome Fantasia</label>
                          <div class="form-group has-orange">
                          
                            {!! Form::text('nome_fantasia', @$loja->nome_fantasia, array('class'=>'form-control empty ', 'id'=>'')) !!}
                            
                          </div>
                        </div>
                        
                    </div>

                </div> <!-- fim row -->

                <div class="row">
                    
                    <div class="col-xs-12 col-sm-6">
                        
                        <div class="control-group">
                          <label class="control-label" for="">Endereço</label>
                          <div class="form-group has-orange">
                            
                            {!! Form::text('logradouro', @$loja->logradouro, array('class'=>'form-control empty')) !!}
                            
                          </div>
                        </div>
                        
                    </div>

                    <div class="col-xs-6 col-sm-4">
                        
                        <div class="control-group">
                          <label class="control-label" for="">Bairro</label>
                          <div class="form-group has-orange">
                            
                            {!! Form::text('bairro', @$loja->bairro, array('class'=>'form-control empty')) !!}
                            
                          </div>
                        </div>
                        
                    </div>

                    <div class="col-xs-6 col-sm-2">
                        
                        <div class="control-group">
                          <label class="control-label" for="">CEP</label>
                          <div class="form-group has-orange">
                          
                            {!! Form::text('cep', @$loja->cep, array('class'=>'form-control empty text-center', 'id'=>'cep')) !!}
                                                        
                          </div>
                        </div>
                        
                    </div>

                </div> <!-- fim row -->

                <div class="row">
                    
                    <div class="col-sm-3">

                        <div class="control-group">
                          <label class="control-label" for="">Cidade</label>
                          <div class="form-group has-orange">
                            
                            {!! Form::text('cidade', @$loja->cidade, array('class'=>'form-control empty', 'id'=>'cidades')) !!}
                            
                          </div>
                        </div>

                    </div>

                    <div class="col-sm-3">

                        <div class="control-group">
                          <label class="control-label">Estado</label>
                            <div class="form-group has-orange">
                            
                            <?php 

                                $estado = (!isset($loja->estado)) ? "PE" : $loja->estado;

                            ?>

                            {!! Form::select('estado', estados2(), $estado, array('class' => 'form-control', 'id' => 'estados')) !!}

                            </div>
                        </div>

                    </div>
                    
                    <div class="col-sm-3">
                        
                        <div class="control-group">

                            <label class="control-label">Telefone</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::text('telefone', @$loja->telefone, array('class'=>'form-control empty text-center', 'id'=>'telefone-fixo')) !!}

                            </div>
                        </div>

                    </div>

                    <div class="col-sm-3">
                        
                        <div class="control-group">
                            <label class="control-label">Celular</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::text('celular', @$loja->celular, array('class'=>'form-control empty text-center', 'id'=>'telefone-celular')) !!}

                            </div>
                        </div>

                    </div>

                </div> <!-- fim row -->

                <div class="row">
                    
                    <div class="col-xs-6 col-sm-3">
                        
                        <div class="control-group">
                            <label class="control-label">Email</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::email('email', @$loja->email, array('class'=>'form-control empty', 'id'=>'email')) !!}

                            </div>
                        </div>

                    </div>

                    <div class="col-xs-6 col-sm-3">
                        
                        <div class="control-group">
                          <label class="control-label" for="">Resposável</label>
                          <div class="form-group has-orange">
                          
                            {!! Form::text('responsavel', @$loja->responsavel, array('class'=>'form-control empty ', 'id'=>'')) !!}
                                                        
                          </div>
                        </div>
                        
                    </div>

                    <div class="col-xs-6 col-sm-3">
                        
                        <div class="control-group">
                          <label class="control-label" for="">CNPJ</label>
                          <div class="form-group has-orange">
                            
                            {!! Form::text('cnpj', @$loja->cnpj, array('class'=>'form-control empty text-center', 'id'=>'cnpj')) !!}
                            
                          </div>
                        </div>
                        
                    </div>

                    <div class="col-xs-6 col-sm-3">
                        
                        <div class="control-group">
                          <label class="control-label" for="">Inscrição Estadual</label>
                          <div class="form-group has-orange">
                            
                            {!! Form::text('inscricao_estadual', @$loja->inscricao_estadual, array('class'=>'form-control empty text-center')) !!}
                            
                          </div>
                        </div>
                        
                    </div>

                </div> <!-- fim row -->

				<div class="row">
					
					<div class="col-sm-4">

						<label class="control-label">Situação</label>
						
						<div class="form-group">
							<div class="checkbox">
			                    <label class="">
			                    	<?php 
										if (isset($loja->status) && $loja->status) {
											$status = $loja->status;
										} else if (!isset($loja->status)) {
											$status = true;
										} else {
											$status = false;
										} 
									?>
			                    	{!! Form::checkbox('status', "1", $status) !!}
			                    	&nbsp;Ativa

			                    </label>
			                </div>
			            </div>

		            </div>

				</div> <!-- fim row -->

			</div> <!-- fim box-body -->

			<div class="box-footer">
				
				<div class="row">

					<div class="col-sm-6 pull-right text-right">

						{!! Form::submit('Salvar', array('class'=>'btn btn-warning btn-80', 'id'=>'')) !!}
						<a href="{{ url('cadastros/lojas') }}" class="btn btn-default btn-80" title="Cancelar">Cancelar</a>

					</div>
					
				</div>

			</div> <!-- fim box-footer -->
			
		</fieldset>

		{!! Form::close() !!}
	
	</div> <!-- fim box -->
		
@endsection
