@extends('layouts.default')
@section('content')

    <div class="row">

        <div class="col-xs-12 col-sm-6">
            
            <div class="btn-group btn-block">
                <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#modal-filtrar">Filtro</button>
                <button type="button" class="btn bg-orange dropdown-toggle  btn-sm" data-toggle="dropdown"><i class="fa fa-cog"></i> <span class="caret"></span>
                </button>
                <ul class="dropdown-menu " role="menu">
                    <li class=""><a href="#" class="" id="bt-resumo-caixa" type="button"><i class="fa fa-list-ul"></i> Resumo</a></li>
                    <li class=""><a href="#" class="" id="" type="button" data-toggle="modal" data-target="#modal-movimentar"><i class="fa fa-check"></i> Movimentar</a></li> 
                </ul>
            </div>

        </div>

    </div> <!-- fim row -->
        
<div class="ibox-content">
    
    <div class="row">
        
        @if (isset($somaFiltro) && $somaFiltro > 0)

            <div class="col-xs-12 col-sm-2 top5 text-right pull-right">
                        
                <div class="padding-right8">
                    
                    <label class="control-label" for="">Total Movimentado</label>
                    <h2 class="bold margin-0" id="valor-saldo-caixa">{!! @Util::decimal2($somaFiltro) !!}</h2>

                </div>

            </div>

        @else 

            <div class="col-xs-12 col-sm-2 top5 text-right pull-right">
                        
                <div class="padding-right8">
                    
                    <label class="control-label" for="">Saldo</label>
                    <h2 class="bold margin-0" id="valor-saldo-caixa">{!! @Util::decimal2($saldo) !!}</h2>

                </div>

            </div>

        @endif

    </div>
    
    <div class="hr-line-dashed"></div>

    @if (count($movimento) > 0)

        <table class="table table-striped">
        
            <thead>
                <tr >
                    <th class="col-xs-2 col-sm-2">
                        Data
                    </th>

                    <th class="col-xs-2 col-sm-2">
                        Tipo
                    </th>

                    <th class="col-xs-1 col-sm-1">
                        Espécie
                    </th>

                    <th class="col-xs-4 col-sm-4">
                        Observações
                    </th>
                    
                    <th class="col-xs-2 col-sm-2 text-right">
                        Valor
                    </th>

                    <th class="col-xs-1 col-sm-1">
                        

                    </th>

                </tr>
            </thead>
            
            <tbody>

                @foreach ($movimento as $linha) 

                <tr>
                    
                    <td class="col-xs-2 col-sm-2 text-center">
                        {!! Util::dataFormat($linha->data) !!}
                    </td>
                    
                    <td class="col-xs-2 col-sm-2 ">
                        {!! $linha->tipomovimento !!}
                    </td>
                    
                    <td class="col-xs-1 col-sm-1 text-right hidden-xs">
                        
                        <span class="label label-primary">{{ $linha->formapagamento }}</span>

                    </td>

                    <td class="col-xs-4 col-sm-4">
                        {!! $linha->observacoes !!}
                    </td>

                    <td class="col-xs-2 col-sm-2 text-right">
                        {!! Util::decimal2($linha->valor) !!}
                    </td>

                    <td class="col-xs-1 col-sm-1 text-center">
                        
                        @if ($linha->tipomovimento == "Venda" || $linha->tipomovimento == "Serviço")
                        <a class="well-sm" href="#" id="detalhar" data-id="{!! $linha->registro !!}" data-tipo="{!! $linha->tipo !!}" title="Detalhar">
                        <i class="fa fa-list fa-lg"></i>
                        </a>
                        @else
                        <a class="well-sm" href="#" id="" data-id="{!! $linha->id !!}" data-tipo="{!! $linha->tipo !!}" title="Detalhar">
                            &nbsp; &nbsp; &nbsp;
                        </a>
                        @endif

                    </td>

                </tr>
                
                @endforeach

            </tbody>

        </table>
        
        <div class="text-center">
            
            {!! $movimento->appends([
                'caixa'=>Request::get('caixa'),
                'datainicial'=>Request::get('datainicial'),
                'datafinal'=>Request::get('datafinal')
                ])->render() !!}
            
        </div>
        
        <br>

    @else

        <div class="row">
            
            <div class="text-center">
                Sem movimentação!
            </div>

        </div>

    @endif
     
</div> <!-- fim ibox-content -->
    
    <!-- Modal - Filtrar -->

    <div class="modal" id="modal-filtrar" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'caixa', 'class'=>'form-horizontal', 'method'=>'get')) !!}
            
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Filtro</h4>
            </div>
            <div class="modal-body">

                <div class="box-body">

                    <div class="row">
                        
                        <div class="col-xs-6">
                        
                            <div class="control-group">
                              <label class="control-label">Forma Movimento</label>
                                <div class="form-group">
                                    
                                    <?php 

                                        $arr = array(
                                            ''=>'Nenhum',
                                            'Cartão'=>'Cartão',
                                            'Dinheiro'=>'Dinheiro',
                                            );

                                    ?>

                                    {!! Form::select('formapagamento', $arr, null, array('class' => 'form-control', 'id' => 'forma-pagamento')) !!}

                                </div>
                            </div>
                            
                        </div>

                    </div>
                    
                    <div class="row">
                        
                        <div class="col-sm-6">
                            
                            <div class="control-group">
                                <label class="labels">Data Inicial</label>
                                <div class="form-group">
                                
                                    <input class="form-control empty" name="datainicial" id="data-inicial" type="date" value="<?php 

                                        $ano = date('Y');
                                        $mes = date('m');
                                        $diasmes = cal_days_in_month(CAL_GREGORIAN, $mes, $ano);
                                        $diascorridos = $diasmes - date('d');
                                        $hoje = $diasmes - $diascorridos - 1;
                                        echo date('Y-m-d', strtotime("-$hoje days")); 
                                    ?>">
                                        
                                </div>
                            </div>
                            
                        </div>
                        
                        <div class="col-sm-6">
                            
                            <div class="control-group">
                                <label class="labels">Data Final</label>
                                <div class="form-group">
                            
                                    <input class="form-control empty" name="datafinal" id="data-final" type="date" value="<?php echo date('Y-m-d'); ?>">
                                
                                </div>

                            </div>

                        </div>
                        
                    </div> <!-- fim row -->

                </div> <!-- fim box-body -->
                
                <hr>

                <div class="row">
                        
                    <div class="col-xs-9 pull-right text-right">
                        
                        {!! Form::submit('OK', array('class'=>'btn bg-orange', 'id'=>'bt-ok-filtro')) !!}
                                
                    </div>

                </div> <!-- fim row -->

            </div> <!-- fim modal-body -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
    <!-- Modal - Situação Caixa -->

    <div class="modal" id="modal-resumo-caixa" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'caixa/resumo', 'class'=>'form-horizontal')) !!}
            
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Resumo</h4>
            </div>
            <div class="modal-body">

                <div class="box-body">
                    
                    <div class="row">

                        <div class="col-sm-6">
                            
                            <div class="control-group">
                              <label class="control-label" for="">Data</label>
                              <div class="form-group">
                                
                                <input type="date" name="data" id="data-resumo" class="form-control text-center" value="{!! date('Y-m-d') !!}">
                                
                              </div>
                            </div>
                            
                        </div>
                        
                    </div> <!-- fim row -->

                    <hr>

                    <div id="result-resumo-caixa"></div>
    
                </div> <!-- fim box-body -->
                
                <div class="row">
                    
                    <div class="col-sm-6 pull-right text-right">
                        
                        {!! Form::button("OK", array('class'=>'btn bg-orange', 'data-dismiss'=>'modal')) !!}
                                
                    </div>

                </div> <!-- fim row -->

            </div> <!-- fim modal-body -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->

    <!-- Modal - Sangria -->

    <div class="modal" id="modal-movimentar" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'caixa/movimentacao', 'class'=>'form-horizontal', 'id'=>'form-movimento')) !!}
                    
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Movimentação de Caixa</h4>
            </div>
            <div class="modal-body">

                <div class="box-body">
                    
                    <div class="row">
                        
                        <div class="col-xs-6">
                        
                            <div class="control-group">
                              <label class="control-label">Tipo</label>
                                <div class="form-group">
                                    
                                    <?php 

                                        $arr = array(
                                            ''=>'Selecione',
                                            'Entrada'=>'Entrada',
                                            'Saída'=>'Saída',
                                            'Provisionado'=>'Provisionado'
                                            );

                                    ?>

                                    {!! Form::select('tipo', $arr, null, array('class' => 'form-control', 'id' => 'tipo-movimento')) !!}

                                </div>
                            </div>
                            
                        </div>

                        <div class="col-xs-6">
                        
                            <label class="control-label">Valor</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::text('valormovimento', "0,00", array('class'=>'form-control text-center', 'id'=>'valor-movimento')) !!}

                            </div>

                        </div>

                    </div> <!-- fim row -->

                    <div class="row">
                        
                        <div class="col-xs-12">
                        
                            <div class="control-group">
                                <label class="control-label" for="">Observações</label>
                                <div class="form-group">
                                    
                                    {!! Form::textarea('observacoes', null, array('class'=>'form-control', 'id'=>'observacoes', 'rows'=>'4')) !!} 
                                
                                </div>
                            </div>

                        </div>

                    </div>

                </div> <!-- fim box-body -->
                
                <hr>

                <div class="row">
                    
                    <div class="col-sm-6 pull-right text-right">
                        
                        {!! Form::submit('OK', array('class'=>'btn bg-orange', 'id'=>'bt-movimento')) !!}
                                
                    </div>

                </div> <!-- fim row -->

            </div> <!-- fim modal-body -->
            
        </div>
        </div>

        {!! Form::close() !!}

    </div> <!-- fim modal -->

    <!-- Modal - Detalhar Itens -->

    <div class="modal" id="modal-detalhar-pedido" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'consultas', 'class'=>'form-horizontal', 'method'=>'get')) !!}
            
            <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title">Pedido <span id="pedido-id"></span></h4>
                </div>
                <div class="modal-body">

                    <div class="box-body">
                        
                        <div class="row">
                        
                            <div id="result-itens"></div>
                            
                        </div>

                    </div> {{-- fim box-body --}}
                    
                    <br>

                    <div class="row">
                        
                        <div class="col-sm-6 text-right pull-right">
                            
                            {!! Form::button("OK", array('class'=>'btn bg-orange', 'data-dismiss'=>'modal')) !!}
                            
                        </div>

                    </div> {{-- fim row --}}

                </div> <!-- fim modal-body -->
                
            </div> <!-- fim modal-content -->
            </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
@endsection

@section('scripts')
    
    {!! HTML::script("plugins/select2/select2.min.js") !!} 

    <script>

        $(function() {
    
            // $('select[id=clientes]').select2();
            // $('select[id=vendedores]').select2();

            $("#valor-movimento").numeric(",");
            $("#valor-movimento").floatnumber(",",2);

        });

        focusSelect('#valor-movimento')

        $("#bt-resumo-caixa").click(function() {

            $("#modal-resumo-caixa").modal("show");

            $.get('{!! url("caixa/resumo") !!}', {

                data: $("#data-resumo").val()

            }, function(data) { 

                $("#result-resumo-caixa").html(data);
                $("div .loading").hide();

            });

        });

        $("#data-resumo").change(function() {

            data = $(this).val();
            $("#result-resumo-caixa").empty();
            $("div .loading").show();

            $.get('{!! url("caixa/resumo") !!}', {

                data: data

            }, function(data) { 

                $("#result-resumo-caixa").html(data);
                $("div .loading").hide();

            });

        })

        $("#modal-movimentar").on('click', '#bt-movimento', function(e) {
            e.preventDefault();

            tipo = $("#tipo-movimento option:selected").val();
            valor = parseFloat($("#valor-movimento").val().replace(".","").replace(",","."));
            observacoes = $("#observacoes").val();

            if (tipo == "" && tipo != 'Provisionado') {

                alerta($("#tipo-movimento"));
                return false;

            } 

            if (valor < 1) {

                alerta2($("#valor-movimento"));
                return false;

            }

            if (observacoes == "" && tipo != 'Provisionado') {

                alerta2($("#observacoes"));
                return false;

            }
            
            $("#form-movimento").submit();

        });

        $(".table").on('click', '#info', function(e) {
            e.preventDefault();
        });

        $(".table").on('click', '#detalhar', function(e) {
            e.preventDefault();
            
            pedido  = $(this).data('id');
            tipo    = $(this).data('tipo');
            $("#venda-id").html("("+pedido+")");
            $("#modal-detalhar-pedido").modal("show");
            $("div .box-loading").show();

            $.get("{{ url('consultas/pedidos/listar-itens/') }}", {

                pedido: pedido,
                tipo: tipo

            }, function(data) {

                $("#result-itens").html(data);
                $("div .box-loading").hide();
                
            });

        });

    </script>

@endsection
