@extends('layouts.default')
@section('content')

    <div class="row">
        
        <div class="col-xs-12 col-sm-6">
            
            <div class="btn-group" role="group" aria-label="Default button group">
                <a href="{!! url("pedidos") !!}" class="btn btn-warning" id="" type="button"><i class="fa fa-plus"></i> Novo</a>
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modal-filtrar">Filtro</button>
            </div>

        </div>

        <div class="col-xs-12 col-sm-6 top10 pull-right">
            
            <div class="box-tools">
                
                {!! Form::open(array('url'=>'consultas', 'class'=>'form-horizontal', 'method'=>'get')) !!}

                    <div class="form-group pull-right">

                        <div class="input-group">

                            <input class="form-control input-sm" placeholder="Busca" id="" name="busca" type="text" value="{!! @$query !!}" autoFocus>
                            <span class="input-group-btn">
                                <button class="btn btn-warning btn-sm margin-0" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>
                            </span>

                        </div>

                    </div>
                
                {!! Form::close() !!}
            
            </div> <!-- fim box-tools -->
            
        </div>

    </div> <!-- fim row -->

<div class="ibox-content">
    
    <h3 class="bold margin-0">Pedidos</h3>

    <div class="hr-line-dashed"></div>

    @if (count($busca) > 0)
        
        <table class="table table-striped">
        
            <thead>
                <tr >
                    <th class="col-xs-2 col-sm-2">
                        Número
                    </th>

                    <th class="col-xs-2 col-sm-2">
                        Data
                    </th>
                    
                    <th class="col-xs-3 col-sm-3 hidden-xs">
                        Status
                    </th>

                    <th class="col-xs-2 col-sm-2 text-right">
                        Total
                    </th>

                    <th class="col-xs-3 col-sm-2">
                        
                    </th>
                </tr>
            </thead>
            
            <tbody>

                @foreach ($busca as $linha) 

                <tr>
                    
                    <td class="col-xs-2 col-sm-2 text-center">
                        {!! $linha->id !!}
                    </td>

                    <td class="col-xs-2 col-sm-2 ">
                        {!! Util::dataFormat($linha->data) !!}
                    </td>
                    
                    <td class="col-xs-3 col-sm-3 hidden-xs">
                        {!! $linha->status !!}
                    </td>

                    <td class="col-xs-2 col-sm-2 text-right">
                        {!! Util::decimal2($linha->valorliquido) !!}
                    </td>

                    <td class="col-xs-3 col-sm-3">
                        
                        <a class="well-sm" href="#" id="detalhar" data-id="{!! $linha->id !!}" data-tipo="{!! $linha->tipo !!}" title="Detalhar">
                        <i class="fa fa-list fa-lg"></i>
                        </a>
                        <a class="well-sm" id="bt-imprimir" data-id="{!! $linha->id !!}"  href="#" title="Imprimir">
                        <i class="fa fa-print fa-lg"></i>
                        </a>
                        @if ($linha->status != "Cancelado")
                        <a class="well-sm" href="#" id="cancelar" data-id="{!! $linha->id !!}" data-descricao="{!! $linha->descricao !!}" title="Cancelar">
                        <i class="fa fa-times fa-lg"></i>
                        </a>
                        @endif
                        
                    </td>

                </tr>
                
                @endforeach

            </tbody>

        </table>
        
        <div class="text-center">
            
            {!! $busca->appends([
                'busca'=>request('busca'),
                'filtro'=>request('filtro'),
                'datainicial'=>request('datainicial'),
                'datafinal'=>request('datafinal')
                ])->render() !!}

        </div>
        
        <br>

    @else

        <div class="row">
            
            <div class="text-center">
                Nada encontrado!
            </div>

        </div>

    @endif
                
</div> <!-- fim ibox-content -->
    
    <!-- Modal - Filtrar -->

    <div class="modal" id="modal-filtrar" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'consultas', 'class'=>'form-horizontal', 'method'=>'get')) !!}
            
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Filtro</h4>
            </div>
            <div class="modal-body">
                
                <div class="row">

                    <div class="col-sm-6">

                        <div class="hidden">
                            <div class="checkbox">
                                {!! Form::checkbox('filtro', '1', true) !!}
                            </div>
                        </div>

                    </div>

                </div> <!-- fim row -->

                <div class="row">
                    
                    <div class="col-xs-6">
                        
                        <div class="control-group">
                          <label class="control-label">Cliente</label>
                            <div class="form-group has-orange">
                            
                            <?php
                                
                                $escolha = array(
                                    ''=>'Selecione',
                                    ''=>'NENHUM'
                                    );
                                    
                            ?>
                            
                            {!! Form::select('cliente', $escolha + $clientes, request('fornecedor'), array('class' => 'form-control', 'id' => 'clientes')) !!}

                            </div>
                        </div>

                    </div>

                </div> <!-- fim row -->

                <div class="row">
                    
                    <div class="col-sm-6">
                        
                        <div class="control-group">
                            <label class="labels">Data Inicial</label>
                            <div class="form-group">
                                
                                @if (request()->has('datainicial')) 
                                    <?php $data1 = request('datainicial'); ?>
                                @else
                                    <?php $data1 = Util::primeiroDiaMes(); ?>
                                @endif

                                <input class="form-control empty" name="datainicial" id="data-inicial" type="date" value="{{ $data1 }}">
                                    
                            </div>
                        </div>
                        
                    </div>
                    
                    <div class="col-sm-6">
                        
                        <div class="control-group">
                            <label class="labels">Data Final</label>
                            <div class="form-group">
                                
                                @if (request()->has('filtro')) 
                                    <?php $data2 = request('datafinal'); ?>
                                @else
                                    <?php $data2 = date('Y-m-d'); ?>
                                @endif

                                <input class="form-control empty" name="datafinal" id="data-final" type="date" value="{{ $data2 }}">
                            
                            </div>

                        </div>

                    </div>
                    
                </div> <!-- fim row -->

            </div> <!-- fim modal-body -->
            
            <div class="modal-footer">

                <div class="row">
                    
                    <div class="col-sm-6 pull-right text-right">
                        
                        {!! Form::submit('OK', array('class'=>'btn bg-orange', 'id'=>'bt-ok-filtro')) !!}
                                
                    </div>

                </div> <!-- fim row -->

            </div> <!-- fim modal-footer -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
    <!-- Modal - Detalhar Itens -->

    <div class="modal" id="modal-detalhar-pedido" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'consultas', 'class'=>'form-horizontal', 'method'=>'get')) !!}
            
            <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title">Pedido <span id="pedido-id"></span></h4>
                </div>
                <div class="modal-body">

                    <div class="box-body">
                        
                        <div class="row">
                        
                            <div id="result-itens"></div>
                            
                        </div>

                    </div> {{-- fim box-body --}}
                    
                    <br>

                    <div class="row">
                        
                        <div class="col-sm-6 text-right pull-right">
                            
                            {!! Form::button("OK", array('class'=>'btn bg-orange', 'data-dismiss'=>'modal')) !!}
                            
                        </div>

                    </div> {{-- fim row --}}

                </div> <!-- fim modal-body -->
                
            </div> <!-- fim modal-content -->
            </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
    <!-- Modal - Excluir -->

    <div class="modal" id="modal-cancelar-pedido" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'consultas/pedidos/cancelar', 'class'=>'form-horizontal', 'id'=>'form-cancelar')) !!}
                    
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Cancelar</h4>
            </div>
            <div class="modal-body row">

                <div class="box-body">
                    
                    <div class="col-sm-12">
                        
                        <span>Deseja realmente cancelar o pedido <span class="bold" id="item-cancelar"></span>?</span>
                        
                    </div>
                    
                    <br>
                    <br>
                    
                </div>
                
                <hr>

                <div class="box-footer">
                    
                    <div class="pull-right row col-xs-12 col-sm-6 alinha-direita">
                        
                        <div class="pull-right">

                            {!! Form::submit('Sim', array('class'=>'btn bg-orange', 'id'=>'bt-sim-cancelar')) !!}
                            {!! Form::button("Não", array('class'=>'btn btn-default', 'data-dismiss'=>'modal')) !!}

                        </div>
                        
                    </div>

                </div> <!-- fim box-footer -->

            </div> <!-- fim modal-body -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
@endsection

@section('scripts')
    
    {!! HTML::script("plugins/select2/select2.min.js") !!} 

    <script>

        $(document).ready(function() {
    
            $(function(){

                $('select[id=clientes]').select2();
                $('select[id=produtos]').select2()
                    .on("change", function(e) {
                      $('#fabricantes option[value=""]').prop('selected', true);
                    });

                $('select[id=fabricantes]').select2()
                    .on("change", function(e) {
                      $('#produtos option[value=""]').prop('selected', true);
                    });
            
            });

            $("#modal-filtrar").on('click', '#bt-filtrar', function(e) {
                e.preventDefault();

                terminal = $("#terminal");
                vendedor = $("#vendedores");
                cliente = $("#clientes");
                datainicial = $("#data-inicial");
                datafinal = $("#data-final")

                if (terminal.val() == "") {

                    alerta2(terminal)
                    exit;

                }

                if (vendedor.val() == "") {

                    alerta3(vendedor)
                    exit;
                    
                }
                
                if (cliente.val() == "") {

                    alerta3(cliente)
                    exit;
                    
                }

                if (datainicial.val() == "") {

                    alerta2(datainicial)
                    exit;
                    
                }

                if (datafinal.val() == "") {

                    alerta2(datafinal)
                    exit;
                    
                }

                $("#form-filtrar").submit();

            });

            $(".table").on('click', '#cancelar', function(e) {
                e.preventDefault();
                
                pedido = $(this).data("id");
                $("#item-cancelar").html(pedido);
                $("#form-cancelar").attr('action', Config.baseURL + 'consultas/pedidos/cancelar/' + pedido)
                $("#modal-cancelar-pedido").modal("show");

            });

            $(".table").on('click', '#detalhar', function(e) {
                e.preventDefault();
                
                pedido  = $(this).data('id');
                tipo    = $(this).data('tipo');
                $("#venda-id").html("("+pedido+")");
                $("#modal-detalhar-pedido").modal("show");
                $("div .box-loading").show();

                $.get("{{ url('consultas/pedidos/listar-itens/') }}", {

                    pedido: pedido,
                    tipo: tipo

                }, function(data) {

                    $("#result-itens").html(data);
                    $("div .box-loading").hide();
                    
                });

            });
            
            $('#bt-imprimir').on('click', function() {
                window.location.href = Config.baseURL + 'pedidos/sucesso?pedido=' + $(this).data('id');
            });

        });

    </script>

@endsection
