@extends('layouts.default')

@section('css')
    
    {!! HTML::style('plugins/select2/select2.css') !!} 
    {!! HTML::style('plugins/bs-switch/css/bootstrap3/bootstrap-switch.min.css') !!} 

@endsection

@section('content')
        
<?php $disabled = (isset($pagamento)) ? "disabled" : ""; ?>

<div class="well-sm"></div>

<div class="ibox-content">
    
    <h4 class=""><strong>{!! $legenda !!} </strong></h4>

    <hr>

    @if (isset($pagamento)) 
        {!! Form::open(array('url'=>'contaspagar/atualizar/' . @$pagamento->id, 'class'=>'form-horizontal')) !!}
    @else
        {!! Form::open(array('url'=>'contaspagar/adicionar', 'class'=>'form-horizontal')) !!}
    @endif

    <fieldset>
        
        {{-- <div class="hr-line-dashed"></div> --}}

        @if ($errors->has())

            <div class="alert alert-dismissable alert-danger">
                <button type="button" class="close" data-dismiss="alert">×</button>
                {!! HTML::ul($errors->all()) !!} 

            </div>

        @endif

        <div class="row">

            <div class="col-xs-6 col-sm-4">

                <div class="control-group">
                  <label class="control-label" for="">Vencimento</label>
                  <div class="form-group has-orange">
                    @if (isset($pagamento)) 
                        <?php $data = date('Y-m-d', strtotime($pagamento->vencimento)); ?>
                    @else 
                        <?php $data = ''; ?>
                    @endif
                    <input type="date" name="vencimento" class="form-control" id="data-nf" value="{{ $data }}">

                  </div>
                </div>

            </div>
            
            <div class="col-xs-6 col-sm-4 pull-right text-right oculta" id="area-parcelas">
                
                <label class="control-label" for="">Valor da Parcela</label>
                <h3 id="val-parcelamento"></h3>

            </div>
            
        </div> <!-- fim row -->
        
        <div class="row">
            
            <div class="col-xs-6 col-sm-4">
        
                <label class="labels">Fornecedor</label>
                <div class="form-group has-orange">
                    <?php 

                        $escolha = array(
                            ''   => 'Selecione',
                            );

                    ?>
                    {!! Form::select('fornecedor', $escolha+$fornecedores, @$pagamento->fornecedor_id, array('class' => 'form-control', 'id' => 'fornecedores')) !!}

                </div>

            </div>

            <div class="col-xs-6 col-sm-4">

                <label class="control-label">Documento</label>
                <div class="form-group has-orange">
                    
                    {!! Form::text('documento', @$pagamento->documento, array('class'=>'form-control text-center', 'id'=>'')) !!}

                </div>

            </div>

            <div class="col-xs-6 col-sm-4">
            
                <label class="control-label">Banco</label>
                <div class="form-group has-orange">
                    
                    {!! Form::text('banco', @$pagamento->banco, array('class'=>'form-control text-center', 'id'=>'')) !!}

                </div>

            </div>

        </div>

        <div class="row">

            <div class="col-xs-6 col-sm-4">
            
                <label class="control-label">Valor</label>
                <div class="form-group has-orange">
                    
                    {!! Form::text('valor', @Util::decimal2($pagamento->valor), array('class'=>'form-control text-center', 'id'=>'valor')) !!}

                </div>

            </div>

            <div class="col-xs-6 col-sm-4">
                
                <div class="control-group">
                  <label class="control-label" for="">Parcelas</label>
                  <div class="form-group has-orange">
                    
                    <input type="number" name="parcelas" class="form-control text-center" {{ $disabled }} id="parcelas" value="{{ old('parcelas') }}">

                  </div>
                </div>

            </div>

            <div class="col-xs-6 col-sm-4 pull-right oculta" id="area-parcelamento">
                
                <div class="control-group">
                  <label class="control-label">Período</label>
                    <div class="form-group has-orange">
                    
                    <?php
                        
                        $escolha = array(
                            ''=>'Selecione',
                            'Dias'=>'Dias',
                            'Semanas'=>'Semanas',
                            'Meses'=>'Meses',
                            'Anos'=>'Anos',
                            );
                            
                    ?>
                    
                    {!! Form::select('periodo', $escolha, null, array('class' => 'form-control', 'id' => 'prazo-repetir')) !!}

                    </div>
                </div>

            </div>
                            
        </div>

        <div class="row">
            
            <div class="col-xs-12">
            
                <div class="control-group">
                    <label class="control-label" for="">Observações</label>
                    <div class="form-group has-orange">
                        
                        {!! Form::textarea('observacoes', @$pagamento->observacoes, array('class'=>'form-control', 'id'=>'', 'rows'=>'4')) !!} 
                    
                    </div>
                </div>

            </div>

        </div>
        
        @if (!isset($pagamento))
            <div class="row">

                <div class="col-xs-6 col-sm-4" style="margin-left: -14px">
                    
                    <div class="checkbox">
                        <label style="">Repetir</label>
                        <div class="bottom4"></div>
                        {!! Form::checkbox('repetir', '1', '', ['id'=>'repetir', 'checked'=>'']) !!} 
                        
                    </div>

                </div>

            </div>
        @endif

        <div class="hr-line-dashed"></div>
        
        <div class="row">
            
            <div class="pull-right col-sm-6 text-right">

                {!! Form::submit('Salvar', array('class'=>'btn btn-primary btn-sm', 'id'=>'bt-salvar')) !!}
                <a href="{{ url('contaspagar') }}" class="btn btn-default btn-sm" title="Cancelar"><i class="fa fa-reply"></i></a>

            </div>

        </div> <!-- fim box-footer -->

    </fieldset>
    
    {!! Form::close() !!}
    
</div> {{-- fim box --}}

@endsection

@section('scripts')
    
    {!! HTML::script("plugins/select2/select2.min.js") !!} 
    {!! HTML::script("plugins/bs-switch/js/bootstrap-switch.min.js") !!}

    <script>

        $("[id='repetir']").bootstrapSwitch({
            size: 'small ',
            onColor: 'primary',
            offColor: 'primary',
            onText: 'Sim',
            offText: 'Não',
            // labelText: '',
        });

        repetir = $("#repetir")
        if (repetir.is(':checked')) {
            $('#area-parcelamento').show();
        }
        $("#repetir").on("switchChange.bootstrapSwitch", function (event, state) {
            
            if (state == true) {
                $("#prazo-repetir option[value='Meses']").prop('selected', true);
                $('#area-quantidade').show();
                $('#area-parcelamento').show();
            } else {
                $('#area-parcelamento').hide();
                $("#prazo-repetir option[value='']").prop('selected', true);
                $("#quantidade").val(2);
            }

        });

    </script>

    <script>

        $(document).ready(function() {

            focusSelect('#valor')

            jQuery(function($) {

                $('#fornecedores').select2()
                $('#valor').numeric(",");
                $('#valor').floatnumber(",",2);

            });

            $("#valor").keyup(function() {

                valor = parseFloat($(this).val().replace(".","").replace(",","."))
                parcelas = parseInt($("#parcelas").val())
                // parcelamento($("#parcelas").val(), valor)

                if (parcelas > 0 && valor > 0) {

                    parcelamento = valor / parcelas
                    $("#val-parcelamento").html(number_format(parcelamento.toFixed(2), 2,',','.'))
                    $("#area-parcelas").show();

                } 

            });

            $("#parcelas").change(function() {

                repetir = $("#repetir").bootstrapSwitch('state');
                parcelas = parseInt($(this).val())
                valor = parseFloat($("#valor").val().replace(".","").replace(",","."))
                // parcelamento(parcelas, $("#valor").val())
                if (parcelas == 0) {
                    $(this).val("");
                }
                if (!repetir) {

                    mensagem("Não haverá repetição!")
                    $("#parcelas").val(1);
                    alerta2("#parcelas")
                    return false;

                }
                if (parcelas > 0 && valor > 0) {

                    parcelamento = valor / parcelas
                    $("#val-parcelamento").html(number_format(parcelamento.toFixed(2), 2,',','.'))
                    $("#area-parcelas").show();

                } else if (parcelas <= 0) {

                    mensagem("Número de parcelas inválido!")
                    $("#parcelas").val(1);
                    alerta2("#valor")
                    return false;

                }

            });

            // $("#bt-salvar").on('click', function(e) {

            //     e.preventDefault();
            //     parcelas = 
            // })

        });

        function parcelamento(parcelas, valor) {

            if (parcelas > 0 && valor > 0) {

                parcelamento = valor / parcelas
                $("#val-parcelamento").html(number_format(parcelamento.toFixed(2), 2,',','.'))
                $("#area-parcelas").show();

            } else {

                mensagem("Número de parcelas inválido!")
                alerta2("#parcelas")
                return false;

            }

        }

    </script>
    
@endsection
