@extends('layouts.default')
@section('content')
    
    <div class="row">
        
        <div class="col-xs-12 col-sm-6">
            
            <div class="btn-group" role="group" aria-label="Default button group">
                <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#modal-filtrar">Filtro</button>
                <a href="{!! url("contaspagar/adicionar") !!}" class="btn bg-orange btn-sm" id="" type="button"><i class="fa fa-plus"></i> Adicionar</a>
            </div>

        </div>

        <div class="col-xs-12 col-sm-6 top10 pull-right">
            
            <div class="box-tools">
                
                {!! Form::open(array('url'=>'contaspagar', 'class'=>'form-inline', 'method'=>'get')) !!}

                    <div class="form-group has-orange pull-right">

                        <div class="input-group">

                            <input class="form-control input-sm" placeholder="Busca" id="" name="busca" type="text" value="{!! Request::input('busca') !!}" autoFocus>
                            <span class="input-group-btn">
                                <button class="btn btn-warning btn-sm margin-0" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>
                            </span>

                        </div>

                    </div>
                
                {!! Form::close() !!}
            
            </div> <!-- fim box-tools -->
            
        </div>

    </div> <!-- fim row --> 

    <div class="ibox-content">
        
        <div class="row">
            
            <div class="col-xs-6">
                
                <h3 class="bold margin-0">Pagamentos</h3>
                
            </div>    

            <div class="col-xs-6 text-right">
                
                @if (count($busca) > 0)

                <label for="" class="control-label">Total</label>
                <h3 class="bold margin-0">{{ @Util::decimal2($soma) }}</h3>

                @endif

            </div>

        </div>

        <div class="hr-line-dashed"></div>

        @if (count($busca) > 0)

            <table class="table table-striped">
            
                <thead>
                    <tr >
                        <th class="col-xs-2 col-sm-2">
                            Documento
                        </th>

                        <th class="col-xs-2 col-sm-2 hidden-xs">
                            Vencimento
                        </th>
                        
                        <th class="col-xs-3 col-sm-3">
                            Fornecedor
                        </th>

                        <th class="col-xs-2 col-sm-2 text-center">
                            Valor
                        </th>

                        <th class="col-xs-4 col-sm-4">
                            
                        </th>
                    </tr>
                </thead>
                
                <tbody>

                @if ($busca->count() > 0)

                    @foreach ($busca as $linha) 

                        <tr>
                            
                            <td class="col-xs-2 col-sm-2 text-center">
                                {!! $linha->documento !!}
                            </td>

                            <td class="col-xs-2 col-sm-2 hidden-xs">
                                {!! Util::dataFormat($linha->vencimento) !!}
                            </td>
                            
                            <td class="col-xs-3 col-sm-3 ">
                                {!! @$linha->fornecedor->nome !!}
                            </td>

                            <td class="col-xs-2 col-sm-2 text-right">
                                <strong>{!! @Util::decimal2($linha->valor) !!}</strong>
                            </td>

                            <td class="col-xs-4 col-sm-4 text-center">
                                
                                <a class="well-sm" href="#" id="detalhar" data-id="{!! @$linha->pagamento->id !!}" data-parcela="{!! @$linha->id !!}" data-fornecedor="{!! @$linha->fornecedor->nome !!}" title="Detalhar">
                                    <i class="fa fa-list fa-lg"></i>
                                </a>
                                
                                <a class="well-sm" href="{{ route('contaspagar.editar', @$linha->pagamento->id) }}" id="link-editar" data-id="{!! @$linha->pagamento->id !!}" title="Editar">
                                    <i class="fa fa-edit fa-lg"></i>
                                </a>
                                
                                <a class="well-sm" href="#" id="informar-pagamento" data-id="{!! @$linha->id !!}" data-documento="{!! @$linha->documento !!}" data-fornecedor="{!! @$linha->fornecedor->nome !!}" data-valor="{!! @$linha->valor !!}" title="Informar Pagamento">
                                    <i class="fa fa-check fa-lg"></i>
                                </a>

                                <a class="well-sm" href="#" id="excluir-parcela" data-id="{!! @$linha->id !!}" data-fornecedor="{!! @$linha->fornecedor->nome !!}" title="Excluir Pagamento">
                                    <i class="fa fa-trash fa-lg"></i>
                                </a>

                            </td>

                        </tr>
                    
                    @endforeach

                @else 

                    <div class="row">
                        
                        <div class="col-xs-12">
                            
                            <h3>Nada encontrado!</h3>

                        </div>

                    </div> {{-- fim row --}}

                @endif

                </tbody>

            </table>
            
            <div class="text-center">
                
                {!! $busca->appends([
                    'busca'=>request('busca'),
                    'filtro'=>request('filtro'),
                    'datainicial'=>request('datainicial'),
                    'datafinal'=>request('datafinal')
                    ])->render() !!}
                
            </div>
            
            <br>

        @else

            <div class="row">
                
                <div class="text-center">

                    Nada encontrado!

                </div>

            </div> <!-- fim row -->

        @endif
                    
    </div> <!-- fim ibox-content -->
        
    <!-- Modal - Filtrar -->

    <div class="modal" id="modal-filtrar" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'contaspagar', 'class'=>'form-horizontal', 'method'=>'get')) !!}
            
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Filtro</h4>
            </div>
            <div class="modal-body">

                <div class="box-body">
                    
                    <div class="row">
                        
                        <div class="col-xs-6 col-sm-6">
                            
                            <div class="control-group">
                              <label class="control-label">Fornecedor</label>
                                <div class="form-group has-orange">
                                
                                <?php
                                    
                                    $escolha = array(
                                        ''=>'Selecione',
                                        );
                                        
                                ?>
                                
                                {!! Form::select('fornecedor', $escolha+$fornecedores, request('fornecedor'), array('class' => 'form-control', 'id' => 'fornecedores')) !!} 

                                </div>
                            </div>

                        </div>

                    </div>

                    <span>Tipo</span>

                    <div class="row">
                        @if (request()->has('filtro')) 
                            <?php $filtroAVencer = (request('filtro') == 'A vencer') ? 'checked=""' : ''; ?>
                            <?php $filtroQuitadas = (request('filtro') == 'Quitadas') ? 'checked=""' : ''; ?>
                        @endif
                        <label class="radio-inline"><input @if (!empty($filtroAVencer)) {{ @$filtroAVencer }} @else {{ 'checked=""' }} @endif type="radio" name="filtro" value="A vencer">A vencer</label>
                        <label class="radio-inline"><input {{ @$filtroQuitadas }} type="radio" name="filtro" value="Quitadas">Quitadas</label>

                    </div>

                    <hr>

                    <div class="row">
                        
                        <div class="col-sm-6">
                            
                            <div class="control-group">
                                <label class="labels">Data Inicial</label>
                                <div class="form-group">
                                    
                                    @if (request()->has('datainicial')) 
                                        <?php $data1 = request('datainicial'); ?>
                                    @else
                                        <?php $data1 = Util::primeiroDiaMes(); ?>
                                    @endif
                            
                                    <input class="form-control empty" name="datainicial" id="data-inicial" type="date" value="{{ $data1 }}">
                                        
                                </div>
                            </div>
                            
                        </div>
                        
                        <div class="col-sm-6">
                            
                            <div class="control-group">
                                <label class="labels">Data Final</label>
                                <div class="form-group">
                                    
                                    @if (request()->has('filtro')) 
                                        <?php $data2 = request('datafinal'); ?>
                                    @else
                                        <?php $data2 = date('Y-m-d', strtotime('+7 days')); ?>
                                    @endif

                                    <input class="form-control empty" name="datafinal" id="data-final" type="date" value="{{ $data2 }}">
                                
                                </div>

                            </div>

                        </div>
                        
                    </div> <!-- fim row -->

                </div> <!-- fim box-body -->
                
                <hr>

                <div class="row">
                    
                    <div class="col-xs-9 pull-right text-right">
                            
                        {!! Form::submit('OK', array('class'=>'btn bg-orange', 'id'=>'bt-ok-filtro')) !!}
                                    
                    </div>

                </div> <!-- fim row -->

            </div> <!-- fim modal-body -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
    <!-- Modal - Excluir -->

    <div class="modal" id="modal-excluir" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'contaspagar/excluir', 'class'=>'form-horizontal', 'id'=>'form-excluir')) !!}
                    
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Excluir</h4>
            </div>
            <div class="modal-body">

                <div class="row">
                    
                    <div class="col-sm-12">
                        
                        <p>Deseja realmente excluir a parcela do pagamento para <strong><span id="item"></span></strong>?</p>
                        
                    </div>
                    
                </div>
                
            </div> <!-- fim modal-body -->
            
            <div class="modal-footer">
                
                <div class="row">
                    
                    <div class="col-sm-6 pull-right text-right">
                        
                        <a href="#" class="btn btn-default" title="Cancelar" data-dismiss="modal">Não</a>
                        {!! Form::submit('Sim', array('class'=>'btn bg-orange', 'id'=>'bt-excluir')) !!}
                                
                    </div>
                    
                </div>

            </div> <!-- fim box-footer -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->

    <!-- Modal - Excluir -->

    <div class="modal" id="modal-excluir-conta" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'contaspagar/excluir-conta', 'class'=>'form-horizontal', 'id'=>'form-excluir-conta')) !!}
                    
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Excluir Conta a Pagar</h4>
            </div>
            <div class="modal-body">

                <div class="row">
                    
                    <div class="col-sm-12">
                        
                        <p>Deseja realmente excluir todos os pagamentos de <strong><span id="item-excluir-conta"></span></strong>?</p>
                        
                    </div>
                    
                </div>
                
            </div> <!-- fim modal-body -->
            
            <div class="modal-footer">
                
                <div class="row">
                    
                    <div class="col-sm-6 pull-right text-right">
                        
                        <a href="#" class="btn btn-default" title="Cancelar" data-dismiss="modal">Não</a>
                        {!! Form::submit('Sim', array('class'=>'btn bg-orange', 'id'=>'bt-excluir')) !!}
                                
                    </div>
                    
                </div>

            </div> <!-- fim box-footer -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->

    <!-- Modal - Detalhar Itens -->

    <div class="modal" id="modal-parcelas-pagamento" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'consultas', 'class'=>'form-horizontal', 'method'=>'get')) !!}
            
            <div class="modal-dialog" style="width: 90%">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title">Pagamento <span id="pagamento-id"></span></h4>
                </div>
                <div class="modal-body">

                    <div class="box-body">
                        
                        <div class="row">
                        
                            <div id="result-itens"></div>
                            
                        </div>

                    </div> {{-- fim box-body --}}
                    
                </div> <!-- fim modal-body -->

                <div class="modal-footer">
                    
                    <div class="row">
                    
                        <div class="col-xs-6 text-left">
                            
                            {!! Form::button("Excluir todos", array('class'=>'btn btn-danger', 'id'=>'bt-excluir-conta', 'data-id'=>'', 'data-fornecedor'=>'')) !!}

                        </div>

                        <div class="col-xs-6 text-right pull-right">
                            
                            {!! Form::button("OK", array('class'=>'btn bg-orange', 'data-dismiss'=>'modal')) !!}
                            
                        </div>
                            
                    </div> {{-- fim row --}}

                </div> <!-- fim modal-footer -->
                
            </div> <!-- fim modal-content -->
            </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->

    <!-- Modal - Informar Pagamento -->

    <div class="modal" id="modal-detalhar-pagamento" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'contaspagar/informar-pagamento', 'class'=>'form-horizontal', 'id'=>'form-informar-pagamento')) !!}
            
            {!! Form::hidden('pagamento', null, array('class'=>'form-control empty text-center', 'id'=>'pagamento-informar')) !!}

            <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title">Informa Pagamento <span id="pagamento-documento"></span></h4>
                </div>
                <div class="modal-body">

                    <div class="box-body">
                        
                        <div class="row">
                            
                            <div class="col-xs-8">
                                
                                <label for="" class="control-label">Fornecedor</label>
                                <h3 class="ellipsis" id="pagamento-fornecedor"></h3>
                            
                            </div>

                            <div class="col-xs-4 text-right">
                                
                                <label for="" class="control-label">Valor</label>
                                <h3 class="bold" id="pagamento-valor"></h3>

                            </div>

                        </div> {{-- fim row --}}

                        <div class="row">
                            
                            <div class="col-xs-6 col-sm-4">
                                
                                <div class="form-group has-orange">
                                
                                <label class="labels">Data</label>
                                <input class="form-control empty" name="datapagamento" id="data-final" type="date" value="<?php echo date('Y-m-d'); ?>">
                                
                                </div>

                            </div>

                            <div class="col-xs-6 col-sm-4">
                                
                                <div class="control-group">
                                  <label class="control-label" for="">Valor</label>
                                  <div class="form-group has-orange">
                                  
                                    {!! Form::text('valor', "0,00", array('class'=>'form-control empty text-center', 'id'=>'valor-pagamento')) !!}
                                        
                                  </div>
                                </div>
                                
                            </div>

                            <div class="col-xs-6 col-sm-4">
                            
                                <div class="control-group">

                                  <label class="control-label">Tipo</label>
                                    <div class="form-group has-orange">
                                        
                                        <?php 

                                            $arr = array(
                                                ''=>'Selecione',
                                                'Dinheiro'=>'Dinheiro',
                                                'Cheque'=>'Cheque',
                                                'Cartão de Crédito'=>'Cartão de Crédito',
                                                'Cartão de Débito'=>'Cartão de Débito',
                                                'Depósito'=>'Depósito',
                                                'Haver'=>'Haver',
                                                'Outros'=>'Outros',
                                                );

                                        ?>

                                        {!! Form::select('tipo', $arr, null, array('class' => 'form-control', 'id' => 'tipo-pagamento')) !!}

                                    </div>

                                </div>
                                
                            </div>

                        </div> {{-- fim row --}}

                        <div class="row oculta" id="area-parcelas-cartao">
                                
                            <div class="col-xs-6 col-sm-4" id="area-parcelas">
                                
                                <div class="control-group">

                                    <label class="control-label" for="">Parcelas</label>
                                    <div class="form-group has-orange">
                                        
                                        <input type="number" name="parcelas_cartao" id="parcelas" class="form-control text-center" value="1">

                                    </div>

                                </div>

                            </div>

                            <div class="col-xs-6 col-sm-4" id="area-bandeiras">
                                                    
                                <div class="control-group">

                                  <label class="control-label">Bandeira</label>
                                    <div class="form-group has-orange">
                                    
                                    <?php
                                        
                                        $arr = array(
                                            ''=>'Selecione',
                                            'Visa'=>'Visa',
                                            'Hiper'=>'Hiper',
                                            'Master'=>'Master',
                                            'Cielo'=>'Cielo'
                                            );
                                            
                                    ?>
                                    
                                    {!! Form::select('bandeira_cartao', $arr, null, array('class' => 'form-control', 'id' => 'bandeira-cartao')) !!}
                            
                                    </div>

                                </div>

                            </div> 

                        </div> {{-- fim row --}}

                    </div> {{-- fim box-body --}}
                    
                    <br>

                    <div class="box-footer">
                        
                        <div class="row">
                            
                            <div class="col-sm-6 pull-right text-right">
                                
                                {!! Form::submit("Informar", array('class'=>'btn bg-orange', 'id'=>'bt-informar-pagamento')) !!}
                                
                            </div>

                        </div> {{-- fim row --}}

                    </div> {{-- fim box-footer --}}

                </div> <!-- fim modal-body -->
                
            </div> <!-- fim modal-content -->
            </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
        
@endsection

@section('scripts')
    
    {!! HTML::script("plugins/select2/select2.min.js") !!} 

    <script>

        focusSelect('#valor-pagamento');

        $(document).ready(function() {

            $(function(){

                $('select[id=fornecedores]').select2()
                    // .on("change", function(e) {
                    //   $('#produtos option[value=""]').prop('selected', true);
                    // });
            
            });

            $(".table").on('click', '#informar-pagamento', function(e) {
                e.preventDefault();
                
                $("#modal-parcelas-pagamento").modal("hide");
                pagamento = $(this).data('id')
                documento = $(this).data('documento')
                fornecedor = $(this).data('fornecedor')
                valor = $(this).data('valor')
                $("#pagamento-informar").val(pagamento)

                detalharPagamento(pagamento, documento, fornecedor, valor)

            });

            $(".table").on('click', '#detalhar', function(e) {
                e.preventDefault();
                
                // parcela     = $(this).data('parcela');
                pagamento   = $(this).data('id');
                tipo        = $(this).data('tipo');
                fornecedor  = $(this).data('fornecedor');
                $("#bt-excluir-conta").attr('data-id', pagamento);
                $("#bt-excluir-conta").attr('data-fornecedor', fornecedor);

                if (pagamento != '') {
                    
                    $("#excluir-pagamento").attr('data-id', pagamento);
                    $("#excluir-pagamento").attr('data-fornecedor', fornecedor);
                    $("#pagamento-id").html("("+pagamento+")");
                    $("#modal-parcelas-pagamento").modal("show");
                    $("div .box-loading").show();

                    $.get("{{ url('contaspagar/listar-parcelas') }}", {

                        pagamento: pagamento,
                        tipo: tipo

                    }, function(data) {

                        $("#result-itens").html(data);
                        $("div .box-loading").hide();
                        
                    });

                } else {

                    console.log(pagamento);
                    return false;
                }

            });

            $("#modal-detalhar-pagamento #tipo-pagamento").on('change', function(e) {
                e.preventDefault();

                val = $(this).val()

                if (val == "Cartão de Crédito") {
                    $("#area-parcelas-cartao").show();
                } else {
                    $("#area-parcelas-cartao").hide();
                    $("#bandeira-cartao option[value='']").prop('selected', true);
                }

            });

            $("[id=excluir-parcela]").on('click', function(e) {
                e.preventDefault();
                
                id = $(this).data("id");
                fornecedor = $(this).data("fornecedor"); 
                $("#modal-parcelas-pagamento").modal("hide");
                $("#item").html(fornecedor);
                $("#form-excluir").attr('action', Config.baseURL + 'contaspagar/excluir/' + id)
                $("#modal-excluir").modal("show");

            });

            $("[id=bt-excluir-conta]").on('click', function(e) {
                e.preventDefault();
                
                id = $(this).data("id");
                fornecedor = $(this).data("fornecedor"); 
                $("#modal-parcelas-pagamento").modal("hide");
                $("#item-excluir-conta").html(fornecedor);
                $("#form-excluir-conta").attr('action', Config.baseURL + 'contaspagar/excluir-conta/' + id)
                $("#modal-excluir-conta").modal("show");

            });

            $("#modal-parcelas-pagamento").on('click', '#result-itens #informar-pagamento', function(e) {
                e.preventDefault();

                $("#modal-parcelas-pagamento").modal("hide");
                pagamento = $(this).data('id')
                documento = $(this).data('documento')
                fornecedor = $(this).data('fornecedor')
                valor = $(this).data('valor')
                $("#pagamento-informar").val(pagamento)

                detalharPagamento(pagamento, documento, fornecedor, valor)

            });

            $("#modal-detalhar-pagamento").on('click', '#bt-informar-pagamento', function(e) {
                e.preventDefault()
                
                pagamento       = $("#pagamento-informar").val();
                valor           = toFloat($("#valor-pagamento"));
                valorPagamento  = toFloat($("#pagamento-valor"));
                tipo            = $("#tipo-pagamento option:selected");
                bandeiracartao  = $("#bandeira-cartao option:selected");

                // console.log(valor)
                // console.log(valorPagamento)
                // console.log(tipo.val())
                if (valor > valorPagamento || valor == 0) {

                    mensagem("O valor informado é inválido!")
                    alerta2("#valor-pagamento")
                    return false;

                }
                
                if (tipo.val() == "") {

                    mensagem("Selecione o Tipo de Pagamento")
                    alerta2("#tipo-pagamento")
                    return false;

                }

                if (tipo.val() == "Cartão de Crédito" && bandeiracartao.val() == "") {

                    mensagem("Selecione a Bandeira do Cartão")
                    alerta2("#bandeira-cartao")
                    return false;

                }

                $("#form-informar-pagamento").submit();

            });

        });

        function detalharPagamento(pagamento, documento, fornecedor, valor) {

            $("#pagamento-id").val(pagamento);
            $("#pagamento-documento").html("("+documento+")");
            $("#pagamento-fornecedor").html(fornecedor);
            $("#pagamento-valor").html(number_format(valor,2,",","."));
            $("#modal-detalhar-pagamento").modal("show");
            
        }

    </script>

@endsection
