@extends('layouts.default')
@section('content')
    
    @if (isset($empresa))
        {!! Form::model($empresa, array('url'=>'ferramentas/empresa/'. $empresa->id . '/atualizar', 'files' => true)) !!}
    @else
        {!! Form::open(array('url'=>'ferramentas/empresa/salvar', 'files' => true)) !!}
    @endif
    
        <div class="box box-warning">
            
            <div class="box-header with-border">
                
                <h4>Dados da Empresa</h4>

            </div> {{-- fim box-header --}}

            <div class="box-body">

                <h4 class="">Empresa </h4>

		        <div class="hr-line-dashed"></div>

                @include('pages.partials.alert-danger')

                <div class="row">
                    <div class="col-sm-4 pull-right text-right">
                        <label class="btn btn-default btn-file">
                            Logomarca <input name="logo" type="file" style="display: none;">
                        </label><br>
                        <small><em>Tamanho mínimo recomendado: 114x114px</em></small>
                    </div>
                </div>

                <div class="row">

                    <div class="col-xs-12 col-sm-6">
                        
                        <div class="control-group">
                          <label class="control-label" for="">Razão Social</label>
                          <div class="form-group has-orange">
                          
                            {!! Form::text('razao_social', @$empresa->razao_social, array('class'=>'form-control empty ', 'id'=>'', 'autoFocus'=>'')) !!}
                            
                          </div>
                        </div>
                        
                    </div>

                    <div class="col-xs-12 col-sm-6">
                        
                        <div class="control-group">
                          <label class="control-label" for="">Nome Fantasia</label>
                          <div class="form-group has-orange">
                          
                            {!! Form::text('nome_fantasia', @$empresa->nome_fantasia, array('class'=>'form-control empty ', 'id'=>'')) !!}
                            
                          </div>
                        </div>
                        
                    </div>

                </div> <!-- fim row -->

                <div class="row">
                    
                    <div class="col-xs-12 col-sm-5">
                        
                        <div class="control-group">
                          <label class="control-label" for="">Endereço</label>
                          <div class="form-group has-orange">
                            
                            {!! Form::text('logradouro', @$empresa->logradouro, array('class'=>'form-control empty')) !!}
                            
                          </div>
                        </div>
                        
                    </div>

                    <div class="col-xs-6 col-sm-3">
                        
                        <div class="control-group">
                          <label class="control-label" for="">Bairro</label>
                          <div class="form-group has-orange">
                            
                            {!! Form::text('bairro', @$empresa->bairro, array('class'=>'form-control empty')) !!}
                            
                          </div>
                        </div>
                        
                    </div>

                    <div class="col-xs-6 col-sm-4">
                        
                        <div class="control-group">
                          <label class="control-label" for="">Ponto de Referência</label>
                          <div class="form-group has-orange">
                          
                            {!! Form::text('pontoreferencia', @$empresa->pontoreferencia, array('class'=>'form-control', 'id'=>'pontoreferencia')) !!}
                                                        
                          </div>
                        </div>
                        
                    </div>

                </div> <!-- fim row -->

                <div class="row">
                    
                    <div class="col-xs-6 col-sm-2">
                
                        <div class="control-group">
                            <label class="control-label" for="">CEP</label>
                            <div class="form-group has-orange">
                            
                            {!! Form::text('cep', @$empresa->cep, array('class'=>'form-control', 'id'=>'cep')) !!}
                                                        
                            </div>
                        </div>
                        
                    </div>
                    
                    <div class="col-sm-4">

                        <div class="control-group">
                          <label class="control-label" for="">Cidade</label>
                          <div class="form-group has-orange">
                            
                            {!! Form::text('cidade', @$empresa->cidade, array('class'=>'form-control empty', 'id'=>'cidades')) !!}
                            
                          </div>
                        </div>

                    </div>

                    <div class="col-sm-2">

                        <div class="control-group">
                          <label class="control-label">Estado</label>
                            <div class="form-group has-orange">
                            
                            <?php 

                                $estado = (!isset($empresa->estado)) ? "PE" : $empresa->estado;

                            ?>

                            {!! Form::select('estado', estados2(), $estado, array('class' => 'form-control', 'id' => 'estados')) !!}

                            </div>
                        </div>

                    </div>
                    
                    <div class="col-sm-2">
                        
                        <div class="control-group">

                            <label class="control-label">Telefone</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::text('telefone', @$empresa->telefone, array('class'=>'form-control empty text-center', 'id'=>'telefone-fixo')) !!}

                            </div>
                        </div>

                    </div>

                    <div class="col-sm-2">
                        
                        <div class="control-group">
                            <label class="control-label">Celular</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::text('celular', @$empresa->celular, array('class'=>'form-control empty text-center', 'id'=>'telefone-celular')) !!}

                            </div>
                        </div>

                    </div>

                </div> <!-- fim row -->

                <div class="row">
                    
                    <div class="col-xs-6 col-sm-3">
                        
                        <div class="control-group">
                            <label class="control-label">Email</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::email('email', @$empresa->email, array('class'=>'form-control empty', 'id'=>'email')) !!}

                            </div>
                        </div>

                    </div>

                    <div class="col-xs-6 col-sm-3">
                        
                        <div class="control-group">
                          <label class="control-label" for="">Resposável</label>
                          <div class="form-group has-orange">
                          
                            {!! Form::text('responsavel', @$empresa->responsavel, array('class'=>'form-control empty ', 'id'=>'')) !!}
                                                        
                          </div>
                        </div>
                        
                    </div>

                    <div class="col-xs-6 col-sm-3">
                        
                        <div class="control-group">
                          <label class="control-label" for="">CNPJ</label>
                          <div class="form-group has-orange">
                            
                            {!! Form::text('cnpj', @$empresa->cnpj, array('class'=>'form-control empty text-center', 'id'=>'cnpj')) !!}
                            
                          </div>
                        </div>
                        
                    </div>

                    <div class="col-xs-6 col-sm-3">
                        
                        <div class="control-group">
                          <label class="control-label" for="">Inscrição Estadual</label>
                          <div class="form-group has-orange">
                            
                            {!! Form::text('inscricao_estadual', @$empresa->inscricao_estadual, array('class'=>'form-control empty text-center')) !!}
                            
                          </div>
                        </div>
                        
                    </div>

                </div> <!-- fim row -->

                <div class="row">
            
                    <div class="col-xs-12">
                    
                        <div class="control-group">
                            <label class="control-label" for="">Descrição</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::textarea('descricao', @$empresa->descricao, array('class'=>'form-control', 'id'=>'', 'rows'=>'4')) !!} 
                            
                            </div>
                        </div>
        
                    </div>
        
                </div>

                <div class="row">
            
                    <div class="col-xs-12">
                    
                        <div class="control-group">
                            <label class="control-label" for="">Garantia</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::textarea('garantia', @$empresa->garantia, array('class'=>'form-control', 'id'=>'', 'rows'=>'4')) !!} 
                            
                            </div>
                        </div>
        
                    </div>
        
                </div>

                <div class="row">

                    <div class="col-sm-6">
                
                        <div class="control-group">
                            <label class="control-label">Rede Social 1</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::text('redesocial1', @$empresa->redesocial1, array('class'=>'form-control', 'id'=>'telefone-redesocial1')) !!}

                            </div>
                        </div>

                    </div>
                    <div class="col-sm-6">
                
                        <div class="control-group">
                            <label class="control-label">Rede Social 2</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::text('redesocial2', @$empresa->redesocial2, array('class'=>'form-control', 'id'=>'telefone-redesocial2')) !!}

                            </div>
                        </div>

                    </div>
                    <div class="col-sm-6">
                
                        <div class="control-group">
                            <label class="control-label">Rede Social 3</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::text('redesocial3', @$empresa->redesocial3, array('class'=>'form-control', 'id'=>'telefone-redesocial3')) !!}

                            </div>
                        </div>

                    </div>
                    <div class="col-sm-6">
                
                        <div class="control-group">
                            <label class="control-label">Rede Social 4</label>
                            <div class="form-group has-orange">
                                
                                {!! Form::text('redesocial4', @$empresa->redesocial4, array('class'=>'form-control', 'id'=>'telefone-redesocial4')) !!}

                            </div>
                        </div>

                    </div>
                        
                </div>

            </div> <!-- fim box-body -->

            <div class="box-footer">
                <div class="row">                    
                    <div class="col-sm-6 pull-right text-right">
                        {!! Form::submit('Salvar', array('class'=>'btn btn-warning btn-80', 'id'=>'')) !!}
                        <a href="{{ url('') }}" class="btn btn-default btn-80" title="Cancelar">Cancelar</a>
                    </div>                    
                </div>
            </div>

        </div> <!-- fim box -->
    
    {!! Form::close() !!}
        
@endsection

@section("css")

    <style>
        .btn-file {
            position: relative;
            overflow: hidden;
        }
        .btn-file input[type=file] {
            position: absolute;
            top: 0;
            right: 0;
            min-width: 100%;
            min-height: 100%;
            font-size: 100px;
            text-align: right;
            filter: alpha(opacity=0);
            opacity: 0;
            outline: none;
            background: white;
            cursor: inherit;
            display: block;
        }
    </style>

@endsection

@section("scripts")
    
    {!! HTML::script("js/jquery.maskedinput.js") !!}

    <script>
            
        $(document).on('change', ':file', function() {
            var input = $(this),
                numFiles = input.get(0).files ? input.get(0).files.length : 1,
                label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
            input.trigger('fileselect', [numFiles, label]);
        });

        $(function($) {

            $("#cliente-cep").mask("99999-999");
            $("#telefone-fixo").mask("(99) 9999-9999");
            $("#telefone-celular").mask("(99) 9999-9999");
            
        });

    </script>

@endsection
