@extends('layouts.default')
@section('content')

    <div class="row">
        
        <div class="col-xs-12 col-sm-6">
            
            <div class="btn-group" role="group" aria-label="Default button group">
                <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#modal-filtrar">Filtro</button>
                <a href="{!! url("estoque/entrada") !!}" class="btn bg-orange btn-sm" id="" type="button"><i class="fa fa-plus"></i> Entrada</a>
            </div>

        </div>

        <div class="col-xs-12 col-sm-6 top10 pull-right">
            
            <div class="box-tools">
                
                {!! Form::open(array('url'=>'estoque/movimento', 'class'=>'form-inline', 'method'=>'get')) !!}

                    <div class="form-group has-orange pull-right">

                        <div class="input-group">

                            <input class="form-control input-sm" placeholder="Busca" id="" name="busca" type="text" value="{!! @$query !!}" autoFocus>
                            <span class="input-group-btn">
                                <button class="btn btn-warning btn-sm margin-0" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>
                            </span>

                        </div>

                    </div>
                
                {!! Form::close() !!}
            
            </div> <!-- fim box-tools -->
            
        </div>

    </div> <!-- fim row --> 

<div class="ibox-content">

    {{-- <div class="hr-line-dashed"></div> --}}

    @if (count($busca) > 0)

        <table class="table table-striped">
        
            <thead>
                <tr >
                    <th class="col-xs-2 col-sm-2">
                        NF
                    </th>

                    <th class="col-xs-4 col-sm-4">
                        Data
                    </th>
                    
                    <th class="col-xs-2 col-sm-2">
                        Fornecedor
                    </th>
                    
                    <th class="col-xs-2 col-sm-2">
                        Total
                    </th>

                    <th class="col-xs-4 col-sm-4">
                        
                    </th>
                </tr>
            </thead>
            
            <tbody>

                @foreach ($busca as $linha) 

                <tr>
                    
                    <td class="col-xs-2 col-sm-2 text-center">
                        {!! $linha->nf !!}
                    </td>

                    <td class="col-xs-3 col-sm-3 ">
                        {!! Util::dataFormat($linha->data) !!}
                    </td>
                    
                    <td class="col-xs-2 col-sm-2 ">
                        {!! $linha->fornecedor !!}
                    </td>

                    <td class="col-xs-2 col-sm-2 ">
                        {!! Util::decimal2($linha->total) !!}
                    </td>

                    <td class="col-xs-3 col-sm-3 text-center">

                        <a class="well-sm" href="#" id="detalhar" data-id="{!! $linha->id !!}" title="Detalhar">
                        <i class="fa fa-list fa-lg"></i>
                        </a>
                        
                        <a class="well-sm" href="#" id="cancelar" data-id="{!! $linha->id !!}" title="Cancelar">
                        <i class="fa fa-times fa-lg"></i>
                        </a>
                        
                    </td>

                </tr>
                
                @endforeach

            </tbody>

        </table>
        
        <div class="text-center">
            
            {!! $busca->appends([
                'busca'=>request('busca'),
                'filtro'=>request('filtro'),
                'datainicial'=>request('datainicial'),
                'datafinal'=>request('datafinal')
                ])->render() !!}
            
        </div>
        
        <br>

    @else

        <div class="row">
            
            <div class="text-center">
                Nada encontrado!
            </div>

        </div>

    @endif
                
</div> <!-- fim ibox-content -->
    
    <!-- Modal - Filtrar -->

    <div class="modal" id="modal-filtrar" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'estoque/movimento', 'class'=>'form-horizontal', 'method'=>'get')) !!}
            
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Filtro</h4>
            </div>
            <div class="modal-body">

                <div class="row">
                    
                    <div class="col-sm-6">
                        
                        <div class="control-group">
                            <label class="labels">Data Inicial</label>
                            <div class="form-group">
                            
                                <input class="form-control empty" name="datainicial" id="data-inicial" type="date" value="<?php 

                                    $ano = date('Y');
                                    $mes = date('m');
                                    $diasmes = cal_days_in_month(CAL_GREGORIAN, $mes, $ano);
                                    $diascorridos = $diasmes - date('d');
                                    $hoje = $diasmes - $diascorridos - 1;
                                    echo date('Y-m-d', strtotime("-$hoje days")); 
                                ?>">
                                    
                            </div>
                        </div>
                        
                    </div>
                    
                    <div class="col-sm-6">
                        
                        <div class="control-group">
                            <label class="labels">Data Final</label>
                            <div class="form-group">
                        
                                <input class="form-control empty" name="datafinal" id="data-final" type="date" value="<?php echo date('Y-m-d'); ?>">
                            
                            </div>

                        </div>

                    </div>
                    
                </div> <!-- fim row -->

                <hr>

                <div class="row">
                    
                    <div class="col-sm-6 pull-right text-right">
                            
                        {!! Form::submit('OK', array('class'=>'btn bg-orange', 'id'=>'bt-ok-filtro')) !!}
                                    
                    </div>

                </div> <!-- fim row -->

            </div> <!-- fim modal-body -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
    <!-- Modal - Excluir -->

    <div class="modal" id="modal-excluir" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'estoque/entrada/cancelar', 'class'=>'form-inline', 'id'=>'form-cancelar')) !!}
                    
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Excluir</h4>
            </div>
            <div class="modal-body">

                <div class="row">
                    
                    <div class="col-sm-12">
                        
                        <p>Deseja realmente excluir a entrada <strong><span id="item"></span></strong>?</p>
                        
                    </div>
                    
                </div>
                
                <hr>

                <div class="row">
                    
                    <div class="col-sm-6 pull-right text-right">
                        
                        {!! Form::submit('Sim', array('class'=>'btn bg-orange', 'id'=>'bt-sim-excluir')) !!}
                        {!! Form::button("Não", array('class'=>'btn btn-default', 'data-dismiss'=>'modal')) !!}
                                
                    </div>

                </div> <!-- fim box-footer -->

            </div> <!-- fim modal-body -->
            
        </div> <!-- fim modal-content -->
        </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
    <!-- Modal - Detalhar Itens -->

    <div class="modal" id="modal-detalhar-entrada" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">

        {!! Form::open(array('url'=>'consultas', 'class'=>'form-horizontal', 'method'=>'get')) !!}
            
            <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h4 class="modal-title">Entrada <span id="entrada-id"></span></h4>
                </div>
                <div class="modal-body">

                    <div class="box-body">
                        
                        <div class="row">
                        
                            <div id="result-itens"></div>
                            
                        </div>

                    </div> {{-- fim box-body --}}
                    
                    <hr>

                    <div class="row">
                        
                        <div class="col-sm-6 text-right pull-right">
                            
                            {!! Form::button("OK", array('class'=>'btn bg-orange', 'data-dismiss'=>'modal')) !!}
                            
                        </div>

                    </div> {{-- fim row --}}

                </div> <!-- fim modal-body -->
                
            </div> <!-- fim modal-content -->
            </div> <!-- fim modal-dialog -->

        {!! Form::close() !!}

    </div> <!-- fim modal -->
    
@endsection

@section('scripts')
    
    {!! HTML::script("plugins/select2/select2.min.js") !!} 

    <script>

        $(function(){

            $('select[id=fornecedores]').select2()
                // .on("change", function(e) {
                //   $('#produtos option[value=""]').prop('selected', true);
                // });
        
        });

        $(".table").on('click', '#cancelar', function(e) {
            e.preventDefault();
            
            entrada = $(this).data("id");
            $("#item-cancelar").html(entrada);
            $("#form-cancelar").attr('action', Config.baseURL + 'estoque/entrada/cancelar/' + entrada)
            $("#modal-cancelar-entrada").modal("show");

        });

        $(".table").on('click', '#detalhar', function(e) {
            e.preventDefault();
            
            entrada     = $(this).data('id');
            tipo    = $(this).data('tipo');
            $("#venda-id").html("("+entrada+")");
            $("#modal-detalhar-entrada").modal("show");
            $("div .box-loading").show();

            $.get("{{ url('estoque/entrada/listar-itens-entrada') }}", {

                entrada: entrada,
                tipo: tipo

            }, function(data) {

                $("#result-itens").html(data);
                $("div .box-loading").hide();
                
            });

        });

    </script>

@endsection
