@extends('layouts.default')
@section('content')
	
<div class="ibox-content">
    
	<div class="row">
		
        <div class="col-xs-6">
            
            <label for="" class="labels">OS</label>
            <br>
            <h3 class="bold">{!! $os->id !!} </h3>
        
        </div>

        <div class="col-xs-6 text-right">
            
            <label class="control-label" for="">Total</label>
            <h3 class="small bold descricao-texto-sub-destaque">
                @if ($os->retorno == 1) 
                    <span class="bold">&nbsp; &nbsp;Retorno</span>
                @elseif ($os->garantia == 1) 
                    <span class="bold">&nbsp; &nbsp;Garantia</span>
                @else
                    &nbsp; &nbsp;{!! Util::decimal2($os->total) !!}
                @endif
            </h3>

        </div>
        
    </div> <!-- fim row -->

    <div class="borda-bottom"></div>

	<div class="row">
		
        <div class="col-xs-12 text-center">
            
            <span>Ordem de Serviço finalizada!</span>
        
        </div>

	</div> <!-- fim row -->

    <div class="row">
        
        <div class="col-xs-12 centro text-right">
            
            <input class="btn btn-success" id="bt-imprimir" type="button" value="Imprimir">
            <input class="btn btn-primary" id="bt-voltar" type="button" value="Fechar">

        </div>
        
	</div> <!-- fim row -->

	<div class="borda-bottom"></div>

	<br>

	<div class="row">
        
        <div id="result" class="">
            
            <div class="col-xs-12" id="area-itens-container">                
                
                <div id="area-itens">
                    
                    <hr>

                    <div class="row" id="cabecalho-listagem">
                        
                        <div class="col-xs-3">
                            
                            <div class="text-center"> 
                        
                                @if (File::exists(public_path('/img/logo-oficial-1.png'))) 
                                    <?php $logo = asset('/img/logo-oficial-1.png'); ?>
                                @else 
                                    <?php $logo = asset('/img/logo-114x114.png'); ?>
                                @endif

                                <img width="57px" src="{!! $logo !!}">

                            </div>

                        </div>

                        <div class="col-xs-5 text-center">
                            
                            <div class="" style="font-size: 10px">

                                <div class='small'>

                                    {!! nl2br($empresa->descricao) !!}
        
                                </div>

                            </div>

                        </div>

                        <div class="col-xs-4 hack-top10 text-right pull-right">
                            <div class="row padding-right15">
                                <span class="pull-right" style="font-size: 8px; display: inline-block">
                                ORDEM DE SERVIÇO</span> 
                                <br>
                                <strong>{{ $os->id }}</strong>
                            </div>

                        </div>
                    
                    </div> {{-- fim row, cabecalho-listagem --}}
                 
                    <hr>

                    <div class="row">
                        
                        <div class="col-xs-12 ellipsis">
                            
                            <h3 class="small">CLIENTE</h3>
                            <span class="small bold">{!! @$os->cliente->nome !!} </span>

                        </div>

                    </div> <!-- fim row -->

                    <div class="row">
                    
                        @if (!empty($os->cliente->endereco) && !empty($os->cliente->bairro))
                 
                            <div class="col-xs-6">
                                
                                <span class="small">&nbsp; &nbsp;{!! @$os->cliente->endereco . " - " . $os->cliente->bairro !!}</span>
                                <br>
                                <span class="small">&nbsp; &nbsp;{{ @$os->cliente->cidade_cliente->nome }} - {{ @$os->cliente->estado_cliente->sigla }}</span>

                            </div>

                        @endif

                        <div class="col-xs-6">
                            
                            @if (!empty($os->cliente->telefone))
                                <span class="small">&nbsp; &nbsp;{!! $os->cliente->telefone !!} @if (!empty($os->cliente->celular)) {{ " / " }} @endif</span>
                            @endif
                            @if (!empty($os->cliente->celular))
                                <span class="small">{!! $os->cliente->celular !!} </span>
                            @endif

                        </div>

                    </div> {{-- fim row --}}

                    <div class="row">
                        
                        <div class="col-sm-6">
                            
                            <span class="small">CPF/CNPJ:</span>
                            <span class="small">&nbsp; {{ $os->cliente->cpfcnpj }}</span>

                        </div>

                    </div> <!-- fim row -->
                        
                    <div class="row">

                        <div class="col-xs-6 col-sm-6">
                            
                            <span class="small">MARCA:</span>
                            <span class="small">&nbsp; {{ $os->marca }}</span>
                            
                        </div>

                        <div class="col-xs-6 col-sm-6">
                            
                            <span class="small">REFERÊNCIA:</span>
                            <span class="small">&nbsp; {{ $os->referencia }}</span>

                        </div>

                        <div class="col-xs-6 col-sm-6">
                            
                            <span class="small">PULSEIRA:</span>
                            <span class="small">&nbsp; {{ $os->pulseira }}</span>

                        </div>

                        <div class="col-xs-6 col-sm-6">
                            
                            <span class="small">NOTA FISCAL:</span>
                            <span class="small">&nbsp; {{ $os->nf }}</span>

                        </div>

                    </div> {{-- fim row --}}

                    <hr>
                    
                    <div class="row">
                        
                        <div class="col-xs-12">
                            
                            <h3 class="small">SERVIÇO</h3>
                            <span class="small">&nbsp; {!! $os->observacoes !!} </span>

                        </div>

                    </div> <!-- fim row -->
                    
                    <hr>

                    <div class="row">
                        
                        <div class="col-xs-6 col-sm-3">
                            
                            <h3 class="small">DATA</h3>
                            <span class="small">&nbsp; &nbsp;{!! Util::dataFormat($os->data) !!}</span>

                        </div>

                        <div class="col-xs-6 col-sm-3">

                            <h3 class="small">ENTREGA</h3>
                            <span class="small">&nbsp; &nbsp;{!! Util::dataFormat($os->data_entrega) !!}</span>

                        </div>
                        
                        <div class="col-xs-6 col-sm-3">
                            
                            <h3 class="small">COMPRA</h3>
                            <span class="small">&nbsp; &nbsp;@if ($os->data_compra != "0000-00-00 00:00:00") {!! Util::dataFormat($os->data_compra) !!} @else - @endif</span>

                        </div>

                        <div class="col-xs-6 col-sm-3">
                            
                            <label class="small">Total</label>
                            <h3 class="small bold descricao-texto-sub-destaque">
                                @if ($os->retorno == 1) 
                                    <span class="bold">&nbsp; &nbsp;Retorno</span>
                                @elseif ($os->garantia == 1) 
                                    <span class="bold">&nbsp; &nbsp;Garantia</span>
                                @else
                                    &nbsp; &nbsp;{!! Util::decimal2($os->total) !!}
                                @endif
                            </h3>

                        </div>

                    </div> <!-- fim row -->
                    
                    <hr>

                    <div class="row">

                        <div class="col-sm-12 text-center">
                                
                            <span class="" style="font-size: 10px">
                                
                                <small>

                                    NOSSA LOJA:
                                    <br>
                                    {{ $empresa->logradouro }} - {{ $empresa->bairro }}
                                    <br>
                                    {{ $empresa->pontoreferencia }}
                                    <br>
                                    Telefones: {{ $empresa->telefone }} | {{ $empresa->celular }} <i class="fa fa-phone"></i>
        
                                    <br>
                                    <span class="glyphicons glyphicons-wifi-alt"></span> 
                                    
                                    {{ $empresa->site }}
                                    <br>
                                    Redes sociais:
                                    <br>
                                    <i class="fa fa-facebook"></i> 
                                    {{ $empresa->redesocial1 }}
                                    <br>
                                    <i class="fa fa-instagram"></i> 
                                    {{ $empresa->redesocial2 }}
                                    <br>
                                    <i class="fa fa-google-plus"></i> 
                                    {{ $empresa->redesocial3 }}
                                    <br>
        
                                </small>
                
                            </span>

                        </div>

                    </div>

                    <div class="col-sm-12">
                     
                        <hr>
            
                    </div>

                    <div class="row">

                        <div class="col-xs-12 text-center">
                         
                            <span class="" style="font-size: 10px">

                                IMPORTANTE: ESTA VIA NÃO VALE COMO RECIBO
                                <br>
                                <small>
                                    {{ $empresa->garantia }}
                                </small>
                                
                            </span>

                        </div>

                    </div>

                    <hr>

                </div> <!-- fim area-itens -->

            </div>

            <div class="col-xs-6" id="area-clone-container">

                <div class="clone oculta"></div>

            </div> 

        </div> {{-- fim result --}}
        
    </div>

</div> <!-- fim ibox-content -->
	
@stop

@section('scripts')
	
	{!! HTML::script("js/jquery.printThis.js") !!} 

    @if (configuracoes('DuasViasPedido'))
    
        <script>

            $( "#area-itens" ).clone().appendTo( ".clone" ).append('<small style="font-size: 10px">Via do Cliente</small>')

            $("#bt-imprimir").click(function() {
                
                $("#area-clone-container").css('border-left', 'solid 1px #f2f2f2');
                $(".clone").show();
                $("#area-itens-container").removeClass('col-xs-12').addClass('col-xs-6');

                setTimeout(function() {

                    $("[id=result]").printThis({
                        debug: false,              
                        importCSS: true,           
                        printContainer: false,      
                        loadCSS: "../css/stylesheet.css", 
                        pageTitle: "Pedido (Impressão)",            
                        removeInline: false
                        
                    });

                }, 200);

            });

            $("#bt-voltar").click(function() {
                
                window.location.href = Config.baseURL + "os";
                
            });

        </script>

    @else

        <script>
        
            $("#bt-imprimir").click(function() {
                
                setTimeout(function() {

                    $("[id=result]").printThis({
                        debug: false,              
                        importCSS: true,           
                        printContainer: false,      
                        loadCSS: "../css/stylesheet.css", 
                        pageTitle: "Pedido (Impressão)",            
                        removeInline: false
                        
                    });

                }, 200);

            });

            $("#bt-voltar").click(function() {
                
                window.location.href = Config.baseURL + "os";
                
            });

        </script>
        
    @endif    

@stop
